/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
  
   date   : January 1, 1998.
   author : Salih Yurttas.

   purpose : To search for the presence/absence
             of a given key, in a given tempalet vector of items,
             by Linear Search Algorithm.

   linear_search_34.cpp
*/


#include "linear_search.h"

int main(int argc, char* argv[]) {

  vector<int> given_vector_int = get_vector_item<int>();

  int key_int = get_item<int>();

  bool found = linear_search(key_int,
                             given_vector_int);

  put_found_item(found,
                 key_int);

  vector<float> given_vector_float = get_vector_item<float>();

  float key_float = get_item<float>();

  found = linear_search(key_float,
                        given_vector_float);

  put_found_item(found,
                 key_float);

}
