/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   binary_search_int.cpp

*/


#include <vector>

using namespace std;

bool binary_search_int(int key,
                       vector<int>& list) {
  bool found=false;

  int n = list.size();

  int low = 0;
  int high = n-1;

  int mid;

  while(low<=high&&!found) {
    mid = low+(high-low)/2;
    if(key==list[mid])
      found = true;
    else if(key<list[mid])
      high = mid-1;
    else
      low = mid+1;
  }

  return found;
}
