/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   binary_search_int.cpp
*/


bool binary_search_int(int key,
                       int list[],
                       int n) {
  bool found = false;

  int low = 0;
  int high = n-1;

  int mid;

  while(low<=high&&!found) {
    mid = low+(high-low)/2;
    if(key==list[mid])
      found = true;         /* found it!             */
    else if(key<list[mid])
      high = mid-1;         /* search the lower part */
    else               
      low = mid+1;          /* search the upper part */
  }
  return found;
}
