/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
  
   date   : January 1, 1998.
   author : Salih Yurttas.

   search_int_00.cpp
*/


#include <iostream>

#include <cctype>

using namespace std;

#include "search_int.h"

const int MAX_SIZE=16;

int main(int argc, char* argv[]) {

  search_int s_one;

  int key = s_one.get_int();

  int given_list[MAX_SIZE];
  int number_of_items = s_one.get_list_int(given_list);

  bool found;

  char search_decision = s_one.get_char("L|B");

  switch(toupper(search_decision)) {
    case 'L': found = s_one.linear_search_int(key,
                                              given_list, 
                                              number_of_items);
              break;
    case 'B': found = s_one.binary_search_int(key,
                                              given_list, 
                                              number_of_items);
              break;
    default : cerr << "Error: search_decision should be L/B!" << endl;
              exit(1);
  }

  s_one.put_int(found,
                key);

}
