/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
  
   date   : January 1, 1998.
   author : Salih Yurttas.

   purpose : To sort a given a given list of integers,
             by BubbleSort Algorithm.

   bubblesort_asc_int_01.cpp
*/


#include <iostream>
#include <fstream>

using namespace std;

const int MAX_SIZE_STRING=64;
const int MAX_SIZE=16;

int main(int argc, char* argv[]) {

  char filename[MAX_SIZE_STRING];

  cout << "--> input filename : ";
  cin >> filename;
  cout << endl;

  ifstream f_in(filename);

  int given_list[MAX_SIZE];
  int k;

  if(!f_in) {
    cerr << "File named as " << filename << " is not opened for input." << endl;
    exit(1);
  }
  else {
    k = 0;
    while(f_in>>given_list[k])
      ++k;
    f_in.close();
  }

  for(int i=0; i<k-1; i++)
    for(int j=k-1; j>=i+1; j--)
      if(given_list[j]<given_list[j-1]) {
        int t = given_list[j];
        given_list[j] = given_list[j-1];
        given_list[j-1] = t;
      }

  for(int i=0; i<k; i++)
    cout << given_list[i] << endl;

}
