/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_sort_double.cpp
*/


#include "search_sort_double.h"

void search_sort_double(double list[],
                        int n) {
  char s_s_decision = get_char("Search|Sort");

  switch((SO)(toupper(s_s_decision))) {
    case Search : { double key = get_double();

                    bool found = search_double(key,
                                               list,
                                               n);

                    put_found_double(found,
                                     key);
                  }
                  break;

    case Sort : sort_double(list,
                            n);

                put_list_double(list,
                                n);
                break;

    default : cerr << "Error: search_sort_decision should be S|O" << endl;
              exit(1);
  }
}
