/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, doubleAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCAdoubleIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_double.cpp
*/


#include "search_double.h"

bool search_double(double key,
                   vector<double>& list) {
  char search_decision = get_char("Linear|Binary");

  bool found;

  switch(toupper(search_decision)) {
    case Linear : found = linear_search_double(key,
                                               list);
                  break;

    case Binary : found = binary_search_double(key,
                                               list);
                  break;

    default : cerr << "Error: search_decision should be L|B" << endl;
              exit(1);
  }

  return found;
}
