/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_sort_int.cpp
*/


#include "search_sort_int.h"

void search_sort_int(vector<int>& list) {
  char s_s_decision = get_char("Search|Sort");

  switch((SO)(toupper(s_s_decision))) {
    case Search : { 
      int key = get_int();
      search_int(key,
                 list);
    }
    break;

    case Sort : sort_int(list);
                break;

    default : cerr << "Error: search_sort_decision should be S|O" << endl;
              exit(1);
  }
}
