/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   sort_int.cpp
*/


#include "sort_int.h"

void sort_int(vector<int>& list) {
  char sort_decision = get_char("B|I|Q|S");

  switch((BIQS)(toupper(sort_decision))) {
    case BubbleSort : bubblesort_asc_int(list);
                      break;

    case InsertionSort : insertionsort_asc_int(list);
                         break;

    case QuickSort : quicksort_asc_int(list);
                     break;

    case SelectionSort : selectionsort_asc_int(list);
                         break;

    default : cerr << "Error: sort_decision should be B|I|Q|S" << endl;
              exit(1);
  }

  put_vector_int(list);
}
