/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2002.
   author : Salih Yurttas.

   search_sort.cpp
*/


#include "search_sort.h"

template <class T>
void search_sort(vector<T>& list) {
  char s_s_decision = get_char("Search|Sort");

  switch((SO)(toupper(s_s_decision))) {
    case Search : {  T key = get_item<T>();
                     bool found = search(key,
                                         list);
                     put_found_item(found,
                                    key);
                  }
                  break;

    case Sort : {  sort(list);
                   put_vector_item(list);
                }
                break;

    default : cerr << "Error: search_sort_decision should be S|O" << endl;
              exit(1);
  }
}
