/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   find_min_max_n_int_05.cpp
*/


#include <iostream>

#include <cctype>

using namespace std;

#include "find_min_max_n_int.h"

int main(int argc, char* argv[]) {

  char repeat_decision = get_char("Yes/No");

  while(YN(toupper(repeat_decision))=='Y') {

    int given_list[MAX_SIZE];

    int number_of_items = get_list_int(given_list);

    char search_decision = get_char("miN/maX");

    switch(NX(toupper(search_decision))) {
      case Minimum : {
          int* min_position = find_min_n_int(given_list, 
                                             number_of_items);

          put_found_min_int(min_position);
      }
      break;

      case Maximum : {
          int* max_position = find_max_n_int(given_list, 
                                             number_of_items);

          put_found_max_int(max_position);
      }
      break;

      default  : cerr << "Error: search_decision should be N/X!" << endl;
                 exit(1);
    }

    repeat_decision = get_char("Yes/No");
  }

}
