/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.

   m_11.cpp
*/


// the rule: minimize or eliminate the globals
//           use locals


#include <iostream>

using namespace std;

int a=1; // a exists and visible in the file scope

void f() {
  static int j=0; // j is local and hidden from other functions,
                  // except its own function scope
                  // j is visible in f but exists beyond f

  cout << "f / ";
  cout << ++j;
  cout << endl;
  cout << "a = ";
  cout << ++a;
  cout << endl;
}

int main(int argc, char* argv[]) {

  int i=0;        // i is local and hidden from other functions,
                  // except its own function scope

  cout << "m / ";
  cout << ++i;
  cout << endl;
  cout << "a = ";
  cout << ++a;
  cout << endl;

  cout << endl;

  f();

  cout << endl;

  cout << "m / ";
  cout << ++i;
  cout << endl;
  cout << "a = ";
  cout << ++a;
  cout << endl;

  cout << endl;

  f();

  cout << endl;

  cout << "m / ";
  cout << ++i;
  cout << endl;
  cout << "a = ";
  cout << ++a;
  cout << endl;

}
