/*
   Copyright(C) 2003
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : September 1, 2003.
   author : Salih Yurttas.

   print_animals.cpp
*/


#include "common.h"

#include "io.h"

string get_filename(string);

void print_animals(vector<string>& d,
                   vector<string>& e) {
  string filename = get_filename("output");

  ofstream f_out(filename.c_str());
  
  int n = d.size();

  for(int i=0; i<n; i++)
    f_out << d.at(i) << endl;

  f_out << endl;

  for(int i=0; i<n; i++)
    f_out << e.at(i) << endl;

  f_out.close();
}
