/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.
            [ the original code is from K&R ]

   itoa.cpp
*/


void reverse(char[]);

void itoa(int n,
          char s[]) {
  int sign;

  if((sign=n)<0)         // record sign 
    n = -n;              // make n positive

  int i = 0;

  do {                   // generate digits in reverse order
    s[i++] = n%10 + '0'; // get next digit
  } while((n/=10)>0);    // delete it

  if(sign<0)
    s[i++] =  '-';

  s[i] = '\0';

  reverse(s);
}
