/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>
#include <cstdarg>

using namespace std;

int sum(int count, ...) {
  int s = 0;

  va_list list;

  va_start(list,
           count);

  for(int i=1; i<=count; i++)
    s += va_arg(list, int);

  va_end(list);

  return s;
}

int main(int argc, char* argv[]) {

  int a = 2,
      b = 4; 

  int s = sum(1,
              2);

  cout << "s = " << s << endl;

  s = sum(a,
          a,
          b);

  cout << "s = " << s << endl;

}
