/*
   Copyright (C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.

   get_data_pqr.cpp
*/


#include "common.h"
#include "types.h"
#include "io.h"

multimap< int, pqr, less<int> > get_data_pqr() {

  multimap< int, pqr, less<int> > data;

  string filename;

  cout << endl;
  cout << "-> input filename : ";
  cin >> filename;

  ifstream f_in(filename.c_str());

  if(!f_in) {
    cerr << "File named as " << filename << " is not opened for input." << endl;
    exit(1);
  }
  else {
    pqr t;
    while(f_in>>t.p) {
      f_in >> t.q;
      f_in >> t.r;
      data.insert(pair<int,pqr>(t.p,
                                t));
    }
  }
  f_in.close();

  return data;
}
