/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   linked_list_01.cpp
*/


#include <iostream>

using namespace std;

#include "Node.h"

extern l_node add_a_node_to_head(int,
                                 l_node*);

extern l_node add_a_node_to_tail(int,
                                 l_node);

extern void add_a_node_head_to_tail(int,
                                    l_node);

extern l_node delete_a_node_from_head(l_node);

extern l_node delete_a_node_from_tail(l_node);

extern void delete_a_node_from_head_to_tail(int,
                                            l_node);

extern void output_nodes_from_head_to_tail(l_node);

int main(int argc, char* argv[]) {

  l_node head=NULL,
         tail=NULL;
  
  add_a_node_to_head(24,
                     &head);

  tail = head;

  head = add_a_node_to_head(17,
                            head);

  head = add_a_node_to_head(12,
                            head);

  head = add_a_node_to_head(10,
                            head);

  cout << endl;
  cout << "after add_to_head [ 24, 17, 12, 10 ] /";
  cout << endl;

  l_node b_node = head;

  output_nodes_from_head_to_tail(b_node);

  tail = add_a_node_to_tail(32,
                            tail);

  cout << endl;
  cout << "after add_to_tail [ 32 ] /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  tail = add_a_node_to_tail(36,
                            tail);

  cout << endl;
  cout << "after add_to_tail [ 36 ] /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  head = add_a_node_to_head(4,
                            head);

  cout << endl;
  cout << "after add_to_head [ 4 ] /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  b_node = head;

  add_a_node_head_to_tail(5,
                          b_node);

  cout << endl;
  cout << "after add_a_node_to_head_tail [ 5 ] /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  b_node = head;

  add_a_node_head_to_tail(33,
                          b_node);

  cout << endl;
  cout << "after add_a_node_to_head_tail [ 33 ] /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  b_node = head;

  head = delete_a_node_from_head(b_node);

  cout << endl;
  cout << "after delete_a_node_from_head /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  b_node = head;

  tail = delete_a_node_from_tail(b_node);

  cout << endl;
  cout << "after delete_a_node_from_tail /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  b_node = head;

  tail = delete_a_node_from_tail(b_node);

  cout << endl;
  cout << "after delete_a_node_from_tail /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

  b_node = head;

  delete_a_node_from_head_to_tail(12,
                                  b_node);

  cout << endl;
  cout << "after delete_a_node_from_head_to_tail /";
  cout << endl;

  b_node = head;

  output_nodes_from_head_to_tail(b_node);

}
