/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   linked_list_00.cpp
*/


#include <iostream>

using namespace std;

#include "Node.h"

extern l_node c_node(l_node, int);
extern l_node a_node(l_node, int);
extern void i_node(l_node, int);
extern void d_node(l_node, int);
extern void s_node(l_node);

int main(int argc, char* argv[]) {

  l_node h,
         p;
  
  h = c_node(h, 10);

  p = h;

  p = a_node(p, 12);

  p = a_node(p, 17);

  p = h;

  cout << " after create and append [ 10, 12, 17 ] /" << endl;
  s_node(h);

  h = p;

  i_node(p, 11);

  p = h;

  cout << endl;
  cout << " after insert [ 11 ] /" << endl;
  s_node(h);

  h = p;
  d_node(p, 12);

  p = h;

  cout << endl;
  cout << " after delete [ 12 ] /" << endl;
  s_node(h);

  h = p;
  d_node(p, 11);

  cout << endl;
  cout << " after delete [ 11 ] /" << endl;
  s_node(h);

}
