/* Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   e_09.cpp
*/


#include <iostream>

#include <string>

#include <stdexcept>

using namespace std;

int main(int argc, char* argv[]) {

  string t("tiger");
  int index;

  bool done;

  do {
    cout << "Enter an index: " ;
    cin >> index;

    cout << endl;

    done = true;

    try {
      cout << "Char at position " << index << " is  " << t.at(index) << endl;
    }
    catch(out_of_range e) {
      done = false;

      cout << "Error : Index value for string out of range " << endl;
      cout << e.what() << endl;
      cout << endl;
    }
  }
  while(!done);

}
