/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   Exception.cpp
*/


#include "Exception.h"

Exception::
Exception(const string& why) : reason(why) {}

Exception::
Exception(const Exception& why) : reason(why.reason) {}

void
Exception::
operator=(const Exception& e) {
  reason=e.reason;
}

Exception::
operator string() {
  return reason;
}

ostream&
operator<<(ostream& os,
           Exception& e) {
  os << "Exception : " << string(e) << endl;
} 
