/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   Exception.h
*/


#include <iostream>

#include <string>

using namespace std;

class Exception {
public:
  Exception(const string&);

  Exception(const Exception&);

  void operator=(const Exception&);

  operator string();

  friend ostream& operator<<(ostream&,
                             Exception&);

private:
  string reason;
};  
