/*
   Copyright(C) 2004
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2004.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>
#include <vector>
#include <stdexcept>

using namespace std;

class A {
public:
  A();

  A(const A&);

  A& operator=(const A&);

  int get_first_data_a() const;
  int get_last_data_a() const;
  int get_any_data_a(const int) const;

  int get_first_data_b() const;
  int get_last_data_b() const;
  int get_any_data_b(const int) const;

  void set_first_data_a(const int);
  void set_last_data_a(const int);

  void set_all_data_a(const int);
  void set_all_data_a(const vector<int>&);

  void set_any_data_a(const int,
                      const int);

  void set_first_data_b(const int);
  void set_last_data_b(const int);

  void set_all_data_b(const int);
  void set_all_data_b(const vector<int>&);

  void set_any_data_b(const int,
                      const int);

  A& operator+=(const A&);

  friend A operator+(const A&,
                     const A&);

  friend ostream& operator<<(ostream&,
                             const A&);

private:
  vector<int> data_a;
  vector<int> data_b;
};
#endif
