/*
   Copyright(C) 2004
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2004.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

int main(int argc, char* argv[]) {

  A a_0;
 
  cout << "initial values after a_0 default construction-A() /";
  cout << endl;
  cout << a_0;
  cout << endl;

  a_0.set_first_data_a(2);
  a_0.set_last_data_a(1);

  a_0.set_first_data_b(7);
  a_0.set_last_data_b(8);

  cout << "a_0 values after set /";
  cout << endl;
  cout << a_0;
  cout << endl;

  A a_1;
 
  a_1.set_last_data_a(1);
  a_1.set_first_data_a(3);
  a_1.set_first_data_a(2);
  a_1.set_last_data_a(1);

  a_1.set_first_data_b(7);
  a_1.set_first_data_b(7);
  a_1.set_first_data_b(7);
  a_1.set_last_data_b(8);

  cout << "a_1 values after set /";
  cout << endl;
  cout << a_1;
  cout << endl;

  a_1 += a_0;

  cout << "a_1 values after a_1 += a_0 /";
  cout << endl;
  cout << a_1;
  cout << endl;

  cout << "a_0 values after a_1 += a_0 /";
  cout << endl;
  cout << a_0;
  cout << endl;

  a_1 = a_0 + a_0;

  cout << "a_1 values after a_1 = a_0+a_0 /";
  cout << endl;
  cout << a_1;
  cout << endl;

  cout << "a_0 values after a_1 = a_0+a_0 /";
  cout << endl;
  cout << a_0;
  cout << endl;

  A a_2(a_1);

  cout << "initial values after a_2(a_1) copy construction-A() /";
  cout << endl;
  cout << a_2;
  cout << endl;

  cout << "a_1 values after a_2(a_1) copy construction-A() /";
  cout << endl;
  cout << a_1;
  cout << endl;

  vector<int> v_0(4,
                  5);

  a_1.set_all_data_a(v_0);

  a_1.set_any_data_a(0,
                     9);

  vector<int> v_1(4,
                  2);

  a_1.set_all_data_b(v_1);

  a_1.set_any_data_b(1,
                     6);

  a_2.set_all_data_a(v_1);
  a_2.set_all_data_b(v_0);

  a_2 = a_1 + a_1;

  cout << "a_2 values after a_2 = a_1+a_1 /";
  cout << endl;
  cout << a_2;
  cout << endl;

  cout << "a_1 values after a_2 = a_1+a_1 /";
  cout << endl;
  cout << a_1;
  cout << endl;

  cout << endl;
  cout << a_1.get_first_data_a();
  cout << endl;

  cout << endl;
  cout << a_1.get_last_data_a();
  cout << endl;

  cout << endl;
  cout << a_2.get_first_data_b();
  cout << endl;

  cout << endl;
  cout << a_2.get_last_data_b();
  cout << endl;

}
