/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : September 1, 2005.
   author : Austin W. Westfall, Salih Yurttas.

   consumer.h
*/


#ifndef CONSUMER_H
#define CONSUMER_H

#include <string>

using namespace std;

#include "thread.h"
#include "cubby_hole.cpp"

class consumer : public thread {
public:
  consumer(cubby_hole<int>* c,
           const int cid) : ch(c),
			    id(cid),
			    num_items(0) {}
  void consume(int);

private:
  cubby_hole<int>* ch;
  int id;
  int num_items;
  virtual void run();
};
#endif
