/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : September 1, 2005.
   author : Austin W. Westfall, Salih Yurttas.

   producer.h
*/


#ifndef PRODUCER_H
#define PRODUCER_H

#include "thread.h"
#include "cubby_hole.cpp"

#include <iostream>

using namespace std;

class producer : public thread {
public:
  producer(cubby_hole<int>*,
           const int);

  void produce(const int);

private:
  cubby_hole<int>* ch;
  int id;
  int num_items;
  virtual void run();
};
#endif
