/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   D.h
*/


#include <iostream>

using namespace std;

class D {
public:
  int i0;

  D();                       // default constructor

  D(const int);              // parameterized constructor

  D(const D&);               // copy constructor

  int get_i1() const;        // accessor for i1

  int get_i2() const;        // accessor for i2

  void set_i1_i2(const int); // mutator for i1 and i2 by i

  friend ostream& operator<<(ostream&,
                             const D&); // D type output

private:
  int i1;
  int i2;
};
