/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.cpp
*/


#include "A.h"

A::
A() : i1(2),
      i2(4) {
}

A::
A(const int i) : i1(i),
                 i2(2*i) {
}

A::
A(const A& a) : i1(a.i1),
                i2(a.i2) {
}

int
A::
get_i1() const {
  return i1;
}

int
A::
get_i2() const {
  return i2;
}

void
A::
set_i1_i2(const int i) {
  i1=i;
  i2=i;
}

ostream& operator<<(ostream& os,
                    const A& a) {
  os << endl;
  os << a.i1 << endl;
  os << a.i2 << endl;
  os << endl;

  return os;
}
