/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   B.h
*/


#include <iostream>

using namespace std;

class B {
public:
  B(const int i=2);          // default constructor with default value

  B(const B&);               // copy constructor

  int get_i1() const;        // accessor for i1

  int get_i2() const;        // accessor for i2

  void set_i1_i2(const int); // mutator for i1 and i2 by any int

  friend ostream& operator<<(ostream&,
                             const B&); // B type output

private:
  int i1;
  int i2;
};
