/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   c_00.cpp
*/


#include <iostream>

using namespace std;

#include "C.h"

int main(int argc, char* argv[]) {

  C c0;

  cout << "initial values after default construction-C() /" << endl;

  cout << c0.get_i1() << endl;
  cout << c0.get_i2() << endl;

  cout << endl;

  C c1(9);

  cout << "initial values after default construction-C() /" << endl;

  cout << c1.get_i1() << endl;
  cout << c1.get_i2() << endl;

  cout << endl;

  C c2(5, 7);

  cout << "initial values after construction-C(int) /" << endl;

  cout << c2.get_i1() << endl;
  cout << c2.get_i2() << endl;

  cout << endl;

  c2.set_i1_i2(4);

  cout << "updated values - ";
  cout << "accessors get_i1(), get_i2() and mutator set_i1_i2(int) /";
  cout << endl;

  cout << c2 << endl;

  C c3(c2);

  cout << "initial values after construction-C(C&) /" << endl;

  cout << c3 << endl;

  c3.set_i1_i2(1);

  cout << "clone c2 after clone c3 updated /" << endl;

  cout << c2 << endl;

  cout << "clone c3 after clone c3 updated /" << endl;

  cout << c3 << endl;

}
