/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

int main(int argc, char* argv[]) {

  A a1;

  cout << "initial values after default construction-A() /" << endl;

  cout << a1.get_i0() << endl;
  cout << a1.get_i1() << endl;

  cout << endl;

  A a2(2);

  cout << "initial values after construction-A(int) /" << endl;

  cout << a2.get_i0() << endl;
  cout << a2.get_i1() << endl;

  cout << endl;

  a2.set_i1(4);

  cout << "updated values - ";
  cout << endl;
  cout << a2 << endl;

  A a3(a2);

  cout << "initial values after construction-A(A&) /" << endl;

  cout << a3 << endl;

  a3.set_i1(8);

  cout << "clone a2 after clone a3 updated /" << endl;

  cout << a2 << endl;

  cout << "clone a3 after clone a3 updated /" << endl;

  cout << a3 << endl;

}
