/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   E.h
*/


#include <iostream>

using namespace std;

class E {
public:
  E(const int a=2,                // default constructor with default values
    const int b=1);

  E(const E&);                    // copy constructor

  E& operator=(const E&);         // assignment operator overloaded

  virtual ~E();                   // destructor

  virtual int get_s() const;      // accessor for s

  virtual int* get_d() const;     // accessor for d

  virtual void set_d(const int);  // mutator for d by an int

  virtual void set_d(const int,
             const int);          // mutator for d by distinct ints

  virtual void set_d(const int*); // mutator for d by aggregate of ints

  friend ostream& operator<<(ostream&,
                             const E&); // E type output

protected:
  int s;
  int* d;
};
