/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   b_00.cpp
*/


#include <iostream>

using namespace std;

#include "B.h"

const int N = 2;

int main(int argc, char* argv[]) {

  B b_0;

  cout << "initial values after construction-B(int) /" << endl;
  cout << b_0 << endl;
  cout << endl;

  int* aa = new int[N];

  aa = b_0.get_d();

  cout << "aa after b_0.get_d() /" << endl;
  for(int i=0; i<N; i++)
    cout << aa[i] << endl;

  cout << endl;

  b_0.set_d(9);

  cout << "b_0 after updated by (9) /" << endl;
  cout << b_0 << endl;
  cout << endl;

  B b_1(b_0);

  cout << "initial values after construction-B(B&) /" << endl;
  cout << b_1 << endl;
  cout << endl;

  b_1.set_d(3,7);

  cout << "b_1 after updated by (3,7) /" << endl;
  cout << b_1 << endl;
  cout << endl;

  b_1.set_d(aa);

  cout << "b_1 after updated by (aa) /" << endl;
  cout << b_1 << endl;
  cout << endl;

  b_1 = b_0;

  cout << "b_1 after b_1=b_0 /" << endl;
  cout << b_1 << endl;
  cout << endl;

  cout << "b_0 after b_1=b_0 /" << endl;
  cout << b_0 << endl;
  cout << endl;

}
