/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   e_00.cpp
*/


#include <iostream>

using namespace std;

#include "E.h"

int main(int argc, char* argv[]) {

  E e_0;

  cout << "initial values after construction-E(int) /" << endl;
  cout << e_0 << endl;
  cout << endl;

  int n = e_0.get_s();

  int* aa = new int[n];

  aa = e_0.get_d();

  cout << "aa after e_0.get_d() /" << endl;
  for(int i=0; i<n; i++)
    cout << aa[i] << endl;

  cout << endl;

  e_0.set_d(9);

  cout << "e_0 after updated by (9) /" << endl;
  cout << e_0 << endl;
  cout << endl;

  E e_1(e_0);

  cout << "initial values after construction-E(E&) /" << endl;
  cout << e_1 << endl;
  cout << endl;

  e_1.set_d(3,7);

  cout << "e_1 after updated by (3,7) /" << endl;
  cout << e_1 << endl;
  cout << endl;

  n = e_1.get_s();

  aa = new int[n];

  for(int i=0; i<n; i++)
    aa[i] = 5;

  e_1.set_d(aa);

  cout << "e_1 after updated by (aa) /" << endl;
  cout << e_1 << endl;
  cout << endl;

  e_1 = e_0;

  cout << "e_1 after e_1=e_0 /" << endl;
  cout << e_1 << endl;
  cout << endl;

  cout << "e_0 after e_1=e_0 /" << endl;
  cout << e_0 << endl;
  cout << endl;

  E e_2(8,7);

  cout << "initial values after construction-E(int) /" << endl;
  cout << e_2 << endl;
  cout << endl;

}
