/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 2007.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

int main(int argc, char* argv[]) {

  A a_0;

  cout << "a_0 values after default construction /";
  cout << endl;
  cout << a_0;

  A a_1(3);

  cout << "a_1 values after construction with defined size /";
  cout << endl;
  cout << a_1;
  cout << endl;

  cout << "size of a1: " << a_1.get_size();
  cout << endl;

  a_1.set_a1();

  cout << "a_1 values after a_1.set_a1() /";
  cout << endl;
  cout << a_1;
  cout << endl;

  A a_2(a_1);

  cout << "a_2 values after copy construction a_2(a_1) /";
  cout << endl;
  cout << a_2;
  cout << endl;

  cout << "a_1 values after copy construction a_2(a_1) /";
  cout << endl;
  cout << a_1;
  cout << endl;

  a_1.set_a1(4,
             3);

  cout << "a_1 values after a_1.set_a1(4,3) /";
  cout << endl;
  cout << a_1;
  cout << endl;

  int n = a_1.get_size();
  int* aa = a_1.get_a1();

  for(int i=0; i<n; ++i)
    cout << aa[i] << endl;

  cout << endl;

  A a_3(4);

  cout << "a_3 values after construction with defined size /";
  cout << endl;
  cout << a_3;
  cout << endl;

  a_1 = a_3;

  cout << "a_1 values after a_1=a_3 /";
  cout << endl;
  cout << a_1;
  cout << endl;

  cout << "a_3 values after a_1=a_3 /";
  cout << endl;
  cout << a_3;
  cout << endl;

  int bb[] = {2,1,4,2,8,4};

  a_1.set_a1(6,
             bb);

  cout << "a_1 values after a_1.set_a1(6,bb) /";
  cout << endl;
  cout << a_1;
  cout << endl;

  n = a_1.get_size();
  aa = a_1.get_a1();

  for(int i=0; i<n; ++i)
    cout << aa[i] << endl;

  cout << endl;

}
