/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.h
*/


#include <iostream>

using namespace std;

class A {
public:
  A(const int a=0,                 // default constructor
    const int b=0);

  A(const A&);                     // copy constructor

  A& operator=(const A&);          // assignment op as overloaded

  ~A();                            // destructor

  int get_i0() const;              // accessor for i0

  void set_i0(const int);          // mutator for i0 by an int

  int get_i1() const;              // accessor for i1

  void set_i1(const int);          // mutator for i1 by an int

  friend ostream& operator<<(ostream&,
                             const A&);

private:
  int i0;
  int i1;
};
