/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.cpp
*/


#include "A.h"

A::
A(const int a) : i0(a) {
}

A::
~A() { // nothing to be deleted since all data allocation is static
}

int
A::
get_i0() const {
  return i0;
}

void
A::
set_i0(const int a) {
  i0 = a;
}

ostream& operator<<(ostream& os,
                    const A& a) {
  os << a.i0 << endl;

  return os;
}
