/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   B.cpp
*/


#include "B.h"

B::
B(const int i) : a1(A(i)) {
}

B::
B(const B& a) {
  a1 = a.a1;
}

B&
B::
operator=(const B& a) {
  a1 = a.a1;
}

int
B::
get_k() const {
  return a1.get_k();
}

A
B::
get_A() const {
  return a1;
}

void
B::
set_A(const A& a) {
  a1 = a;
}

void
B::
set_A(const int a) {
  a1.set_k(a);
}

ostream&
operator<<(ostream& os,
           const B& a) {
  os << endl;
  os << a.get_k(); // or: os << a.a1.get_k();
  os << endl;

  return os;
}
