/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   B.h
*/


#ifndef B_H
#define B_H

#include <iostream>

using namespace std;

#include "A.h"

class B {
public:
  B(const int i=0);       // default constructor

  B(const B&);            // copy constructor

  B& operator=(const B&); // assignment operator

  int get_k() const;      // accessor for private of a1

  A get_A() const;        // accessor for private of A

  void set_A(const A&);   // mutator for private of A

  void set_A(const int);  // mutator for private of A

  friend ostream& operator<<(ostream&,
                             const B&); // B type output

private:
  A a1;
};
#endif
