/*
   Copyright(C) 2003
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2003.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>
#include <vector>

using namespace std;

class A {
public:
  A(const int a=8);

  A(const A&);

  A& operator=(const A&);

  int get_first() const;
  int get_next_to_first() const;
  int get_prior_to_last() const;
  int get_last() const;

  vector<int> get_all() const;

  int get_size() const;

  void set_first(const int);
  void set_next_to_first(const int);
  void set_prior_to_last(const int);
  void set_last(const int);

  void set_all(const int);
  void set_all(const vector<int>&);

  friend ostream& operator<<(ostream&,
                             const A&);

private:
  vector<int> data;
};
#endif
