/*
   Copyright(C) 2003
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2003.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

int main(int argc, char* argv[]) {

  A a_0;
 
  cout << "initial values after a_0 default construction-A() /";
  cout << endl;
  cout << a_0;
  cout << endl;

  int m = a_0.get_d_s_size();
  int n = a_0.get_d_i_size();

  cout << endl;
  cout << m;
  cout << endl;
  cout << n;
  cout << endl;

  a_0.set_d_s("dog");
  a_0.set_d_s("monkey");
  a_0.set_d_s("lion");
  a_0.set_d_s(0,
              "cat");

  a_0.set_d_i(2);
  a_0.set_d_i(1);
  a_0.set_d_i(0,
              8);

  cout << "values after a_0 set /";
  cout << endl;
  cout << a_0;
  cout << endl;

  vector<string> v_s = a_0.get_d_s();

  n = a_0.get_d_s_size();
  for(int i=0; i<n; i++)
    cout << v_s.at(i) << endl;
  cout << endl;
  
  for(int i=0; i<n; i++)
    v_s[i] = "tiger";

  a_0.set_d_s(v_s);

  vector<int> v_i = a_0.get_d_i();

  n = a_0.get_d_i_size();
  for(int i=0; i<n; i++)
    cout << v_i.at(i) << endl;
  cout << endl;
  
  for(int i=0; i<n; i++)
    ++v_i[i];

  a_0.set_d_i(v_i);

  cout << "values after a_0 set /";
  cout << endl;
  cout << a_0;
  cout << endl;

  A a_1(a_0);

  cout << "values after a_1(a_0) /";
  cout << endl;
  cout << a_1;
  cout << endl;

  v_s = a_0.get_d_s(1,
                    3);

  n = v_s.size();
  for(int i=0; i<n; i++)
    cout << v_s.at(i) << endl;
  cout << endl;
  
  v_i = a_0.get_d_i(2,
                    5);

  n = v_i.size();
  for(int i=0; i<n; i++)
    cout << v_i.at(i) << endl;
  cout << endl;
  
}
