/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2007.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

int main(int argc, char* argv[]) {

  A a_0;
 
  cout << "a_0 values after default construction /";
  cout << endl;
  cout << a_0;

  int n = a_0.get_size();

  cout << endl;
  cout << "a_0.size : " << n;
  cout << endl;

  int* b = new int[n];
 
  b = a_0.get_a1();

  for(int i=0; i<n; ++i)
    cout << b[i] << endl;
  cout << endl;

  a_0.set_a1();

  cout << "a_0 values after a_0.set_a1() /";
  cout << endl;
  cout << a_0;

  a_0.set_a1(9);

  cout << "a_0 values after a_0.set_a1(9) /";
  cout << endl;
  cout << a_0;

  A a_1(2);
 
  cout << "a_1 values after default construction /";
  cout << endl;
  cout << a_1;

  n = a_1.get_size();

  cout << endl;
  cout << "a_1.size : " << n;
  cout << endl;

  b = new int[n];
 
  b = a_1.get_a1();

  for(int i=0; i<n; ++i)
    cout << b[i] << endl;
  cout << endl;

  a_1.set_a1();

  cout << "a_1 values after a_1.set_a1() /";
  cout << endl;
  cout << a_1;

  a_1.set_a1(9);

  cout << "a_1 values after a_1.set_a1(9) /";
  cout << endl;
  cout << a_1;

  A a_2(4);
 
  cout << "a_2 values after default construction /";
  cout << endl;
  cout << a_2;

  n = a_2.get_size();

  cout << endl;
  cout << "a_2.size : " << n;
  cout << endl;

  b = new int[n];
 
  b = a_2.get_a1();

  for(int i=0; i<n; ++i)
    cout << b[i] << endl;
  cout << endl;

  a_2.set_a1();

  cout << "a_2 values after a_2.set_a1() /";
  cout << endl;
  cout << a_2;

  a_2.set_a1(6);

  cout << "a_2 values after a_2.set_a1(6) /";
  cout << endl;
  cout << a_2;

}
