/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   C.h
*/


#include <iostream>

using namespace std;

const int N = 2;

class C {
public:
  C(const int a=1);       // default constructor with default values

  C(const C&);            // copy constructor

  C& operator=(const C&); // assignment operator overloaded

  ~C();                   // destructor

  int* get_d() const;     // accessor for d

  void set_d(const int);  // mutator for d by an int

  void set_d(const int,
             const int);  // mutator for d by distinct ints

  void set_d(const int*); // mutator for d by aggregate of ints

  friend ostream& operator<<(ostream&,
                             const C&); // C type output

private:
  int* d;
};
