/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   s_00.cpp
*/


#include <iostream>

using namespace std;

#include "S.h"

int main(int argc, char* argv[]) {

  S s_0("Apple");

  cout << "initial values after default construction-S() /" << endl;
  cout << "s_0 : ";
  cout << s_0 << endl;
  cout << endl;

  S s_1;

  s_1 = s_0;

  cout << "after s_1=s_0 /" << endl;
  cout << "s_1 : ";
  cout << s_1 << endl;
  cout << endl;

  cout << "after s_1=s_0 /" << endl;
  cout << "s_0 : ";
  cout << s_0 << endl;
  cout << endl;

  S s_2("Orange");

  S s_3("Orange");

  s_2 = s_3;

  cout << "after s_2=s_3 /" << endl;
  cout << "s_2 : ";
  cout << s_2 << endl;
  cout << endl;

  cout << "after s_2=s_3 /" << endl;
  cout << "s_3 : ";
  cout << s_3 << endl;
  cout << endl;

  s_3 = s_1;

  cout << "after s_3=s_1 /" << endl;
  cout << "s_3 : ";
  cout << s_3 << endl;
  cout << endl;

  cout << "after s_3=s_1 /" << endl;
  cout << "s_1 : ";
  cout << s_1 << endl;
  cout << endl;

  S s_4("Silver");

  cout << "after s_4(\"Silver\") /" << endl;
  cout << "s_4 : ";
  cout << s_4 << endl;
  cout << endl;

  s_3 = "Spoon";

  s_4 += s_3;

  cout << "after s_4+=s_3 /" << endl;
  cout << "s_4 : ";
  cout << s_4 << endl;
  cout << endl;

  cout << "after s_4+=s_3 /" << endl;
  cout << "s_3 : ";
  cout << s_3 << endl;
  cout << endl;

  s_4 = "Golden";
  s_3 = "Apple";

  cout << "after s_4=\"Golden\" /" << endl;
  cout << "s_4 : ";
  cout << s_4 << endl;
  cout << endl;

  cout << "after s_43\"Apple\" /" << endl;
  cout << "s_3 : ";
  cout << s_3 << endl;
  cout << endl;

  S s_5;

  s_5 = s_4 + s_3;

  cout << "after s_5=s_4+s_3 /" << endl;
  cout << "s_5 : ";
  cout << s_5 << endl;
  cout << endl;

  cout << "after s_5=s_4+s_3 /" << endl;
  cout << "s_4 : ";
  cout << s_4 << endl;
  cout << endl;

  cout << "s_3 : ";
  cout << s_3 << endl;
  cout << endl;

  bool t = (s_4==s_4);

  cout << "t : ";
  cout << t << endl;
  cout << endl;

  t = (s_4==s_3);

  cout << "t : ";
  cout << t << endl;
  cout << endl;

  t = (s_4!=s_3);

  cout << "t : ";
  cout << t << endl;
  cout << endl;

  s_4.set_s("Monkey");

  cout << "s_4 : ";
  cout << s_4;
  cout << endl;

  cout << "s_4.get_l() : ";
  cout << s_4.get_l() << endl;
  cout << endl;

  cout << "s_4.get_s() : ";
  cout << s_4.get_s() << endl;
  cout << endl;

}
