/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   v_01.cpp
*/


#include <iostream>
#include <string>

using namespace std;

#include "V.h"

void put_v(const string& s,
           const V& v) {
  cout << s << endl;
  cout << v << endl;
  cout << endl;
}

int main(int argc, char* argv[]) {

  V v_0;
  put_v("initial values of v_0 after default construction-V() /",
        v_0);

  V v_1(2);
  put_v("initial values after of v_1 default construction-V() /",
        v_1);

  V v_2(v_1);

  put_v("initial values of v_2 after copy construction-V(const V&) /",
	v_2);

  put_v("v_1 : ",
	v_1);

  V v_3;
  put_v("initial values of v_3 after of v_3 default construction-V() /",
        v_3);

  v_3 = v_0;
  put_v("values of v_3 after v_3 = v_0  /",
        v_3);

  put_v("values of v_0 after v_3 = v_0  /",
        v_0);

  v_3 = v_1;
  put_v("values of v_3 after v_3 = v_1  /",
        v_3);

  put_v("values of v_1 after v_3 = v_1  /",
        v_1);

  v_3 = v_3;
  put_v("values of v_3 after v_3 = v_3  /",
        v_3);

}
