/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   v_02.cpp
*/


#include <iostream>
#include <string>

using namespace std;

#include "V.h"

void put_v(const string& s,
           const V& v) {
  cout << s << endl;
  cout << v << endl;
  cout << endl;
}

int main(int argc, char* argv[]) {

  string s_i = "initial values after default construction-V() /";
  string s_c = "initial values after copy construction-V(const V&) /";
  string s_e = "values after /";

  V v_0;
  put_v("v_0 : "+s_i, v_0);

  V v_1(2);
  put_v("v_1 : "+s_i, v_1);

  V v_2(v_1);
  put_v("v_2 : "+s_c, v_2);
  put_v("v_1 : "+s_c, v_1);

  V v_3;
  put_v("v_3 : "+s_i, v_3);

  v_3 = v_0;
  put_v("v_3 : v_3=v_0 "+s_e, v_3);
  put_v("v_0 : v_3=v_0 "+s_e, v_3);


  v_3 = v_1;
  put_v("v_3 : v_3=v_1 "+s_e, v_3);
  put_v("v_1 : v_3=v_1 "+s_e, v_1);

  v_3 = v_3;
  put_v("v_3 : v_3=v_3 "+s_e, v_3);

}
