/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   V.h
*/


#ifndef V_H
#define V_H

#include <iostream>

using namespace std;

class V {
public:
  V(const int n=4, 
    const int v=1);

  V(const V&);

  ~V();

  V& operator=(const V&);

  int& operator[](const int);

  V& operator+(const V&);

  friend ostream& operator<<(ostream&,
                             const V&); // V type output

private:
  int size;
  int *data;
};

#endif
