/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   v_00.cpp
*/


#include <iostream>

using namespace std;

#include "V.h"

int main(int argc, char* argv[]) {

  V v_0;

  cout << "initial values after default construction-V() /" << endl;
  cout << "v_0 :" << endl;
  cout << v_0 << endl;
  cout << endl;

  V v_1(2);

  cout << "initial values after default construction-V() /" << endl;
  cout << "v_1 :" << endl;
  cout << v_1 << endl;
  cout << endl;

  V v_2(v_1);

  cout << "initial values after copy construction-V(const V&) /" << endl;
  cout << "v_2 :" << endl;
  cout << v_2 << endl;
  cout << endl;

  cout << "v_1 :" << endl;
  cout << v_1 << endl;
  cout << endl;

  V v_3;

  cout << "initial values after default construction-V() /" << endl;
  cout << "v_3 :" << endl;
  cout << v_3 << endl;
  cout << endl;

  v_3 = v_0;

  cout << "values after v_3 = v_0  /" << endl;
  cout << "v_3 :" << endl;
  cout << v_3 << endl;
  cout << endl;

  cout << "v_0 :" << endl;
  cout << v_0 << endl;
  cout << endl;

  v_3 = v_1;

  cout << "values after v_3 = v_1  /" << endl;
  cout << "v_3 :" << endl;
  cout << v_3 << endl;
  cout << endl;

  cout << "v_1 :" << endl;
  cout << v_1 << endl;
  cout << endl;

  v_3 = v_3;

  cout << "values after v_3 = v_3  /" << endl;
  cout << "v_3 :" << endl;
  cout << v_3 << endl;
  cout << endl;

  cout << "v_3 :" << endl;
  cout << v_3 << endl;
  cout << endl;

  int a = v_3[1];

  cout << "a=v_3[1] :" << endl;
  cout << a << " " << v_3[1] << endl;
  cout << endl;

  v_3[2] = v_3[1] = a;

  cout << "v_3[1]=a :" << endl;
  cout << v_3[1] << " " << a << endl;
  cout << endl;

  v_3 = v_1 + v_2;

  cout << "values after v_3 = v_1+v_2 /" << endl;
  cout << "v_3 :" << endl;
  cout << v_3 << endl;
  cout << endl;
  cout << "v_1 :" << endl;
  cout << v_1 << endl;
  cout << endl;
  cout << "v_2 :" << endl;
  cout << v_2 << endl;
  cout << endl;

}
