/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   matrix_00.cpp
*/


#include <iostream>

using namespace std;

#include "Matrix.h"

int main(int argc, char* argv[]) {

  Matrix m1(2,2),
         m2(2,2),
         m3(2,2);

  m1.assign_element(0,0,1);
  m1.assign_element(0,1,2);
  m1.assign_element(1,0,1);
  m1.assign_element(1,1,1);

  m2.assign_element(0,0,2);
  m2.assign_element(0,1,1);
  m2.assign_element(1,0,1);
  m2.assign_element(1,1,2);

  m3.assign_element(0,0,0);
  m3.assign_element(0,1,0);
  m3.assign_element(1,0,0);
  m3.assign_element(1,1,0);

  cout << "m1 /" << endl;
  m1.put_matrix();
  cout << endl;

  cout << "m2 /" << endl;
  m2.put_matrix();
  cout << endl;

  cout << "m3 /" << endl;
  m3.put_matrix();
  cout << endl;

  cout << endl;

  m3 = m1*m2;

  cout << "m3 /" << endl;
  m3.put_matrix();
  cout << endl;

  cout << "m1 /" << endl;
  m1.put_matrix();
  cout << endl;

  cout << "m2 /" << endl;
  m2.put_matrix();
  cout << endl;

  cout << endl;

  m1 *= m2;

  cout << "m1 /" << endl;
  m1.put_matrix();
  cout << endl;

  cout << "m2 /" << endl;
  m2.put_matrix();
  cout << endl;

}
