/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   matrix_00.cpp
*/


#include <iostream>

using namespace std;

#include "Matrix.h"

int main(int argc, char* argv[]) {

  Matrix m1(2,2),
         m2(2,2),
         m3(2,2);

  m1.assign_element(0,0,1);
  m1.assign_element(0,1,2);
  m1.assign_element(1,0,3);
  m1.assign_element(1,1,4);

  m2.assign_element(0,0,9);
  m2.assign_element(0,1,8);
  m2.assign_element(1,0,7);
  m2.assign_element(1,1,6);


  cout << endl;
  cout << "Retrive:";
  cout << endl;

  int temp = m1.retrieve_element(1,1);

  m1.put_matrix();

  cout << endl;
  cout << temp <<  " was retrieved from 1,1";
  cout << endl;

  cout << "Assign Element:";
  cout << endl;
  cout << "Original Matrix:";
  cout << endl;

  m1.put_matrix();

  m1.assign_element(0,1,2);

  cout << endl;
  cout << "with 99 assigned to 0,1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "Assignment:";
  cout << endl;
  cout << "M1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "M2:\n";

  m2.put_matrix();

  m2 = m1;

  cout << endl;
  cout << "M2 after being assigned M1:";
  cout << endl;

  m2.put_matrix();

  cout << endl;
  cout << "Negation:";
  cout << endl;
  cout << "M1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "M1 after negation:";
  cout << endl;

  m1.negate();
  m1.put_matrix();

  cout << endl;
  cout << "Scalar Multiply:";
  cout << endl;
  cout << "M1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "M1 after being multiplied by 2:";
  cout << endl;

  m1 = m1 * 2;
  m1.put_matrix();

  cout << endl;
  cout << "Multiply:";
  cout << endl;
  cout << "M1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "M2:";
  cout << endl;

  m2.put_matrix();

  cout << endl;
  cout << "M1*M2:";
  cout << endl;

  m3 = m1 * m2;
  m3.put_matrix();

  cout << endl;
  cout << "Addition:";
  cout << endl;
  cout << "M1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "M2:";
  cout << endl;

  m2.put_matrix();

  cout << endl;
  cout << "M1+M2:";
  cout << endl;

  m3 = m1 + m2;
  m3.put_matrix();

  cout << endl;
  cout << "Subtraction:";
  cout << endl;
  cout << "M1:";
  cout << endl;

  m1.put_matrix();

  cout << endl;
  cout << "M2:";
  cout << endl;

  m2.put_matrix();

  cout << endl;
  cout << "M1-M2:";
  cout << endl;

  m3 =  m1 - m2;
  m3.put_matrix();

}
