/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2002.
   author : Salih Yurttas.

   Courses.h
*/

#ifndef COURSES_H
#define COURSES_H

#include <iostream>
#include <vector>
#include <string>

using namespace std;

class Courses {
public:
  Courses(const int n=0);

  Courses(const Courses&);

  string get_course_name(const int) const;

  char get_course_grade(const int) const;

  int get_number_of_courses() const;

  void set_course(const string&);

  void set_course_name(const int,
                       const string&);

  void set_course_grade(const int,
                        const char);

  friend ostream& operator<<(ostream&,
                             const Courses&);

protected:
  vector<string> course_name;
  vector<char> grade;

  int number_of_courses;
};
#endif
