/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2002.
   author : Salih Yurttas.

   Person.h
*/

#ifndef PERSON_H
#define PERSON_H

#include <iostream>
#include <vector>
#include <string>

using namespace std;

class Person {
public:
  Person();

  Person(const Person&);

  void set_name(string&);

  void set_name(const string&,
                const char,
                const string&);

  friend ostream& operator<<(ostream&,
                             const Person&);

protected:
  string last_name;
  char m_i;
  string first_name;
};
#endif
