/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   p_00.cpp
*/


#include <iostream>

using namespace std;

#include "P.h"

int main(int argc, char* argv[]) {

  P p1;

  cout << "initial values after default construction-P() /";
  cout << endl;
  cout << p1;
  cout << endl;

  p1.set_i1(2);
  p1.set_i2(5);

  cout << "accessor after mutator /";
  cout << endl;
  cout << p1.get_i1();
  cout << endl;
  cout << p1.get_i2();
  cout << endl;

  P p2(p1);

  cout << endl;
  cout << "initial values after copy construction-P(const P&) /";
  cout << endl;
  cout << p2;
  cout << endl;

  p2.set_i1(1);
  p2.set_i1(6);

  cout << "accessor after mutator /";
  cout << endl;
  cout << p2.get_i1();
  cout << endl;
  cout << p2.get_i2();
  cout << endl;

  p2 = p1;

  cout << endl;
  cout << "after p2=p1 /";
  cout << endl;

  cout << "p2 /";
  cout << endl;
  cout << p2;
  cout << endl;

  cout << "p1 /";
  cout << endl;
  cout << p1;
  cout << endl;

}
