/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   q_00.cpp
*/


#include <iostream>

using namespace std;

#include "Q.h"

int main(int argc, char* argv[]) {

  P p1;

  cout << "initial values after default construction-P() /";
  cout << endl;
  cout << p1;
  cout << endl;

  p1.set_i1(2);
  p1.set_i2(7);

  cout << "accessor after mutator /";
  cout << endl;
  cout << p1.get_i1();
  cout << endl;
  cout << p1.get_i2();
  cout << endl;

  Q q1;

  cout << endl;
  cout << "initial values after default construction-Q() /";
  cout << endl;
  cout << q1;
  cout << endl;

  q1.set_i1(3);
  q1.set_i2(8);

  cout << "accessor after mutator /";
  cout << endl;
  cout << q1.get_i1();
  cout << endl;
  cout << q1.get_i1();
  cout << endl;

  q1.set_i1_i2(4);

  cout << endl;
  cout << "values after q1.set_i1_i2(4) /";
  cout << endl;
  cout << q1;
  cout << endl;

  q1.set_i1_i2(6,
               1);

  cout << endl;
  cout << "values after q1.set_i1_i2(6,1) /";
  cout << endl;
  cout << q1;
  cout << endl;

  Q q2 = q1;

  cout << endl;
  cout << "values after copy construction q2=q1 /";
  cout << endl;
  cout << q2;
  cout << endl;
  cout << q1;
  cout << endl;

  q1.set_i1_i2(4,
               4);

  cout << endl;
  cout << "values after q1.set_i1_i2(4,4) /";
  cout << endl;
  cout << q1;
  cout << endl;

  Q q3(q1);

  cout << endl;
  cout << "values after copy construction q3(q1) /";
  cout << endl;
  cout << q3;
  cout << endl;
  cout << q1;
  cout << endl;

}
