/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   Q.cpp
*/


#include "Q.h"

Q::
Q(const int i,
  const int j) : P(i,
                   j) {
}

Q::
Q(const Q& a) {
  i1_i2 = a.i1_i2;
}

Q&
Q::
operator=(const Q& a) {
  if(this==&a) return *this;

  i1_i2 = a.i1_i2;

  return *this;
}

vector<int>
Q::
get_i1_i2() const {
  return i1_i2;
}

void
Q::
set_i1_i2(const int i) {
  i1_i2.at(0) = i;
  i1_i2.at(1) = i;
}

void
Q::
set_i1_i2(const int i,
          const int j) {
  i1_i2.at(0) = i;
  i1_i2.at(1) = j;
}

void
Q::
set_i1_i2(const vector<int>& v) {
  i1_i2 = v;
}

ostream&
operator<<(ostream& os,
           const Q& q) {
  os << q.i1_i2.at(0);
  os << endl;

  os << q.i1_i2.at(1);

  return os;
}
