/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   r_00.cpp
*/


#include <iostream>

using namespace std;

#include "P.h"
#include "R.h"

int main(int argc, char* argv[]) {

  P p1;

  cout << "initial values after default construction-P() /";
  cout << endl;
  cout << p1;
  cout << endl;

  p1.i0 = 1;
  p1.set_i1(2);
  p1.set_i2(4);

  cout << "accessors after mutators /";
  cout << endl;

  cout << p1.i0;
  cout << endl;

  cout << p1.get_i1();
  cout << endl;

  cout << p1.get_i2();
  cout << endl;

  cout << endl;
  cout << "p1 /";
  cout << endl;
  cout << p1;
  cout << endl;

  R r1;

  cout << "initial values after default construction-R() /";
  cout << endl;
  cout << r1;
  cout << endl;

/* inaccessible

  r1.i0 = 4;
  r1.set_i1(2);
  r1.set_i2(3);

*/
  r1.set_i3(1);

  cout << "accessors after mutators /";
  cout << endl;

/* inaccessible

  cout << r1.i0;
  cout << endl;

  cout << r1.get_i1();
  cout << endl;

  cout << r1.get_i2();
  cout << endl;
*/

  cout << r1.get_i3();
  cout << endl;

  cout << endl;
  cout << "r1 /";
  cout << endl;
  cout << r1;

}
