/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   P.h
*/


#include <iostream>

using namespace std;

class P {
public:
  int i0;

  P(const int i=0);                     // default constructor
                                        // with default value

  int get_i1() const;                   // accessor for i1
  int get_i2() const;                   // accessor for i2

  void set_i1(const int);               // mutator for i1 by int
  void set_i2(const int);               // mutator for i2 by int

  friend ostream& operator<<(ostream&,
                             const P&); // P type output

protected:
  int i1;

private:
  int i2;
};
