/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   D.h
*/


#ifndef D_H
#define D_H

#include <iostream>

using namespace std;

#include "B.h"
#include "C.h"

class D : public B,
          public C {
public:
  D(const int i=0,                      // default constructor
    const int j=0,                      // not inherited
    const int k=0);

  virtual int get_i3() const;           // accessor for i3

  virtual void set_i3(const int);       // mutator for i3 by iint

  friend ostream& operator<<(ostream&,
                             const D&); // D type output

protected:
  int i3;
};
#endif
