/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   d_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"
#include "B.h"
#include "C.h"
#include "D.h"

int main(int argc, char* argv[]) {

  A * a1 = new A;

  cout << "initial values after default construction-A() /";
  cout << endl;
  cout << *a1;

  a1->set_i1(2);

  cout << "accessors after mutators /";
  cout << endl;
  cout << a1->get_i1();
  cout << endl;

  cout << endl;

  delete a1;

  a1 = new B;

  cout << "initial values after default construction-B() /";
  cout << endl;
  cout << *a1;
  cout << endl;

  a1->set_i1(2);

  cout << "accessors after mutators /";
  cout << endl;
  cout << a1->get_i1();
  cout << endl;
  cout << endl;

  B * b1 = new B;

  cout << "initial values after default construction-B() /";
  cout << endl;
  cout << *b1;
  cout << endl;

  b1->set_i1(5);
  b1->set_i2(8);

  cout << "accessors after mutators /";
  cout << endl;
  cout << b1->get_i1();
  cout << endl;
  cout << b1->get_i2();
  cout << endl;

  cout << endl;

  delete b1;

  a1 = new C;

  cout << "initial values after default construction-C() /";
  cout << endl;
  cout << *a1;
  cout << endl;

  a1->set_i1(2);

  cout << "accessors after mutators /";
  cout << endl;
  cout << a1->get_i1();
  cout << endl;
  cout << endl;

  C * c1 = new C;

  cout << "initial values after default construction-C() /";
  cout << endl;
  cout << *c1;
  cout << endl;

  c1->set_i1(4);
  c1->set_i2(9);

  cout << "accessors after mutators /";
  cout << endl;
  cout << c1->get_i1();
  cout << endl;
  cout << c1->get_i2();
  cout << endl;

  cout << endl;

  delete c1;

  b1 = new D;

  cout << "initial values after default construction-D() /";
  cout << endl;
  cout << *b1;
  cout << endl;

  b1->set_i1(6);
  b1->set_i2(5);

  cout << "accessors after mutators /";
  cout << endl;
  cout << b1->get_i1();
  cout << endl;
  cout << b1->get_i2();
  cout << endl;
  cout << endl;

  delete b1;

  c1 = new D;

  cout << "initial values after default construction-D() /";
  cout << endl;
  cout << *c1;
  cout << endl;

  c1->set_i1(6);
  c1->set_i2(5);

  cout << "accessors after mutators /";
  cout << endl;
  cout << c1->get_i1();
  cout << endl;
  cout << c1->get_i2();
  cout << endl;
  cout << endl;

  D * d1 = new D;

  cout << "initial values after default construction-D() /";
  cout << endl;
  cout << *d1;
  cout << endl;

  d1->B::set_i1(1);
  d1->B::set_i2(4);
  d1->set_i3(7);

  cout << "accessors after mutators /";
  cout << endl;
  cout << d1->B::get_i1();
  cout << endl;
  cout << d1->B::get_i2();
  cout << endl;
  cout << d1->get_i3();
  cout << endl;

  cout << endl;

  cout << "values after set /";
  cout << endl;
  cout << *d1;
  cout << endl;

  cout << endl;

  d1->C::set_i1(2);
  d1->C::set_i2(5);
  d1->set_i3(8);

  cout << "accessors after mutators /";
  cout << endl;
  cout << d1->C::get_i1();
  cout << endl;
  cout << d1->C::get_i2();
  cout << endl;
  cout << d1->get_i3();
  cout << endl;

  cout << endl;

  cout << "values after set /";
  cout << endl;
  cout << *d1;
  cout << endl;

  cout << endl;

  cout << "accessors after mutators /";
  cout << endl;
  cout << d1->B::get_i1();
  cout << endl;
  cout << d1->B::get_i2();
  cout << endl;
  cout << d1->get_i3();
  cout << endl;

  cout << endl;

  delete d1;

}
