/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   V_R.h
*/


#ifndef V_R_H
#define V_R_H

#include <iostream>

using namespace std;

#include "V.h"

class V_R : public V {
public:
  V_R(const int n=4);

  V_R(const V_R&);

  virtual ~V_R();

  virtual V_R& operator=(const V_R&);

  virtual int get_element(const int) const;

  virtual void set_element(const int,
                           const int);

  friend ostream& operator<<(ostream&,
                             const V_R&); // V_R type output

protected:
  bool range_check(const int) const;
};
#endif
