/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   V_S.h
*/


#ifndef V_S_H
#define V_S_H

#include <iostream>

using namespace std;

#include "V.h"

class V_S : public V {
public:
  V_S(const int n=4);

  V_S(const V_S&);

  virtual ~V_S();

  virtual V_S& operator=(const V_S&);

  virtual void set_element(const int,
                           const int);

  friend ostream& operator<<(ostream&,
                             const V_S&); // V_S type output

protected:
  void sort();
};
#endif
