/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   V.h
*/


#ifndef V_H
#define V_H

#include <iostream>

using namespace std;

class V {
public:
  V(const int n=0);

  V(const V&);

  virtual ~V();

  virtual V& operator=(const V&);

  virtual int get_element(const int) const;

  virtual void set_element(const int,
                           const int);

  virtual void add_element(const int);

  friend ostream& operator<<(ostream&,
                             const V&); // V type output

protected:
  int size;
  int *data;
};
#endif
