/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   V_R_S.cpp
*/


#include "V_R_S.h"

V_R_S::
V_R_S(const int n) : V(n) {
}

V_R_S::
V_R_S(const V_R_S& a) : V(a) {
}

V_R_S::
~V_R_S() {
  delete [] V::data;
}

int
V_R_S::
get_element(const int i) const {
  return V_R::get_element(i);
}

void
V_R_S::
set_element(const int i,
            const int v) {
  V_R::set_element(i,
                   v);
  sort();
}

void
V_R_S::
add_element(const int v) {
  V_S::add_element(v);
}

ostream& operator<<(ostream& os,
                    const V_R_S& a) {
  int n = a.V_R::size;

  for(int i=0; i<n; i++)
    os << a.V_R::data[i] << endl;
  os << endl;

  return os;
}
