/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   v_r_s_00.cpp
*/


#include <iostream>

using namespace std;

#include "V_R_S.h"

int main(int argc, char *argv[]) {

  V v_0;

  cout << "initial values after default construction-V() /" << endl;
  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;
  cout << endl;

  V v_1(2);

  cout << "initial values after default construction-V() /" << endl;
  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << endl;

  V v_2(v_1);

  cout << "initial values after copy construction-V(const V&) /" << endl;
  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << endl;

  v_1.set_element(1, 7);

  cout << v_1.get_element(1) << endl;
  cout << endl;

  v_2.set_element(1, 8);

  cout << v_2.get_element(1) << endl;
  cout << endl;

  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << endl;

  v_2 = v_1;

  cout << "values after v_2=v_1 operation /" << endl;
  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << endl;

  v_2.set_element(0, 9);

  cout << v_2.get_element(0) << endl;
  cout << endl;

  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << endl;

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;

  v_0.set_element(3, 8);

  v_0.set_element(1, 4);

  v_0.set_element(2, 2);

  v_0.set_element(3, 2);

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;
  cout << endl;

  v_0.set_element(4, 0);

  cout << v_0.get_element(4) << endl;
  cout << endl;

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;

  V_R vr_0;

  cout << "initial values after default construction-V_R() /" << endl;
  cout << "vr_0 : " << endl;
  cout <<  vr_0 << endl;
  cout << endl;

  V_R vr_1(2);

  cout << "initial values after default construction-V_R() /" << endl;
  cout << "vr_1 : " << endl;
  cout <<  vr_1 << endl;
  cout << endl;

  V_R vr_2(vr_1);

  cout << "initial values after copy construction-V_R(const V_R&) /" << endl;
  cout << "vr_1 : " << endl;
  cout <<  vr_1 << endl;
  cout << "vr_2 : " << endl;
  cout <<  vr_2 << endl;
  cout << endl;

  vr_1.set_element(1, 6);

  cout << vr_1.get_element(1) << endl;
  cout << endl;

  vr_2.set_element(1, 5);

  cout << vr_2.get_element(1) << endl;
  cout << endl;

  cout << "vr_2 : " << endl;
  cout <<  vr_2 << endl;
  cout << "vr_1 : " << endl;
  cout <<  vr_1 << endl;
  cout << endl;

  vr_2 = vr_1;

  cout << "values after vr_2=vr_1 operation /" << endl;
  cout << "vr_2 : " << endl;
  cout <<  vr_2 << endl;
  cout << "vr_1 : " << endl;
  cout <<  vr_1 << endl;
  cout << endl;

  vr_2.set_element(0, 8);

  cout << vr_2.get_element(1) << endl;
  cout << endl;

  cout << "vr_2 : " << endl;
  cout <<  vr_2 << endl;
  cout << endl;

  cout << "vr_0 : " << endl;
  cout <<  vr_0 << endl;

  vr_0.set_element(3, 8);

  vr_0.set_element(1, 4);

  vr_0.set_element(2, 2);

  vr_0.set_element(3, 2);

  cout << "vr_0 : " << endl;
  cout <<  vr_0 << endl;
  cout << endl;

  vr_0.set_element(4, 0);

  cout << vr_0.get_element(4) << endl;
  cout << endl;

  cout << "vr_0 : " << endl;
  cout <<  vr_0 << endl;

  V_S vs_0;

  cout << "initial values after default construction-V_S() /" << endl;
  cout << "vs_0 : " << endl;
  cout <<  vs_0 << endl;
  cout << endl;

  V_S vs_1(2);

  cout << "initial values after default construction-V_S() /" << endl;
  cout << "vs_1 : " << endl;
  cout <<  vs_1 << endl;
  cout << endl;

  V_S vs_2(vs_1);

  cout << "initial values after copy construction-V_S(const V_S&) /" << endl;
  cout << "vs_1 : " << endl;
  cout <<  vs_1 << endl;
  cout << "vs_2 : " << endl;
  cout <<  vs_2 << endl;
  cout << endl;

  vs_1.set_element(0, 6);

  cout << vs_1.get_element(1) << endl;
  cout << endl;

  vs_2.set_element(0, 7);

  cout << vs_2.get_element(1) << endl;
  cout << endl;

  cout << "vs_2 : " << endl;
  cout <<  vs_2 << endl;
  cout << "vs_1 : " << endl;
  cout <<  vs_1 << endl;
  cout << endl;
    
  vs_2 = vs_1;

  cout << "values after vs_2=vs_1 operation /" << endl;
  cout << "vs_2 : " << endl;
  cout <<  vs_2 << endl;
  cout << "vs_1 : " << endl;
  cout <<  vs_1 << endl;
  cout << endl;

  vs_2.set_element(1, 9);

  cout << vs_2.get_element(1) << endl;
  cout << endl;

  cout << "vs_2 : " << endl;
  cout <<  vs_2 << endl;
  cout << "vs_1 : " << endl;
  cout <<  vs_1 << endl;
  cout << endl;

  cout << "vs_0 : " << endl;
  cout <<  vs_0 << endl;

  vs_0.set_element(3, 2);

  vs_0.set_element(1, 4);

  vs_0.set_element(2, 6);

  vs_0.set_element(3, 3);

  cout << "vs_0 : " << endl;
  cout <<  vs_0 << endl;
  cout << endl;

  vs_0.set_element(4, 0);

  cout << vs_0.get_element(4) << endl;
  cout << endl;

  cout << "vs_0 : " << endl;
  cout <<  vs_0 << endl;

  V_R_S vrs_0;

  cout << "initial values after default construction-V_R_S() /" << endl;
  cout << "vrs_0 : " << endl;
  cout <<  vrs_0 << endl;
  cout << endl;

  V_R_S vrs_1(2);

  cout << "initial values after default construction-V_R_S() /" << endl;
  cout << "vrs_1 : " << endl;
  cout <<  vrs_1 << endl;
  cout << endl;
    
  V_R_S vrs_2(vrs_1);

  cout << "initial values after copy construction-V_R_S(const V_R_S&) /" << endl;
  cout << "vrs_1 : " << endl;
  cout <<  vrs_1 << endl;
  cout << "vrs_2 : " << endl;
  cout <<  vrs_2 << endl;
  cout << endl;

  vrs_1.set_element(0, 5);

  cout << vrs_1.get_element(1) << endl;
  cout << endl;

  vrs_2.set_element(1, 1);

  cout << vrs_2.get_element(1) << endl;
  cout << endl;

  cout << "vrs_2 : " << endl;
  cout <<  vrs_2 << endl;
  cout << "vrs_1 : " << endl;
  cout <<  vrs_1 << endl;
  cout << endl;

  vrs_2 = vrs_1;

  cout << "values after vrs_2=vrs_1 operation /" << endl;
  cout << "vrs_2 : " << endl;
  cout <<  vrs_2 << endl;
  cout << "vrs_1 : " << endl;
  cout <<  vrs_1 << endl;
  cout << endl;

  vrs_2.set_element(1, 9);

  cout << vrs_2.get_element(1) << endl;
  cout << endl;

  cout << "vrs_2 : " << endl;
  cout <<  vrs_2 << endl;
  cout << "vrs_1 : " << endl;
  cout <<  vrs_1 << endl;
  cout << endl;
    
  cout << "vrs_0 : " << endl;
  cout <<  vrs_0 << endl;

  vrs_0.set_element(3, 8);

  vrs_0.set_element(1, 4);

  vrs_0.set_element(2, 6);

  vrs_0.set_element(3, 1);

  cout << "vrs_0 : " << endl;
  cout <<  vrs_0 << endl;
  cout << endl;

  vrs_0.set_element(4, 0);

  cout << vrs_0.get_element(4) << endl;
  cout << endl;

  cout << "vrs_0 : " << endl;
  cout <<  vrs_0 << endl;

  vrs_0.add_element(9);

  cout << "vrs_0 : " << endl;
  cout <<  vrs_0 << endl;

  vrs_0.add_element(-1);

  cout << "vrs_0 : " << endl;
  cout <<  vrs_0 << endl;

}
