/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   Animal.h
*/


#ifndef ANIMAL_H
#define ANIMAL_H

class Animal {
public:
  Animal();

  Animal(const Animal&);
 
  virtual ~Animal();

  virtual Animal& operator=(const Animal&);

  virtual char* get_name() const;
  
  virtual int get_age() const;

  virtual void set_name(const char*);
  
  virtual void set_age(const int);

  virtual void print() const;

protected:
  char* name;
  int age;
};
#endif
