/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   Birds.h
*/

#ifndef BIRDS_H
#define BIRDS_H

#include "Animal.h"

class Birds : public Animal {
public:
  Birds();

  Birds(const Birds&);

  ~Birds();

  Birds& operator=(const Birds&);

  virtual bool get_fly() const;

  virtual void set_fly(const bool);

  void print() const;

protected:
  bool fly;
};
#endif
