/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   Sea.cpp
*/


#include <cstring>

#include <iostream>

using namespace std;

#include "Sea.h"

Sea::
Sea(): Mammals(),
       lives('o') {
}

Sea::
Sea(const Sea& a) : Mammals(a),
                    lives(a.lives) {
}

Sea::
~Sea() {
}

Sea&
Sea::
operator=(const Sea& a) {
  if(this==&a) return *this;

  delete [] name;

  name = new char[strlen(a.name)+1];
  strcpy(name, a.name);

  age = a.age;
  legs = a.legs;

  lives = a.lives;

  return *this;
}

char
Sea::
get_lives() const {
  return lives;
}

void
Sea::
set_lives(const char a) {
  lives = a;
}

void
Sea::
print() const {
  cout << "Name: " << name << endl;
  cout << "Age: " << age << endl;
  cout << "Legs: " << legs << endl;
  cout << "Lives in: " << lives << endl;
  cout << endl;
}
