/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   a_01.cpp
*/


#include <iostream>

using namespace std;

#include "Animal.h"
#include "Mammals.h"
#include "Birds.h"
#include "Land.h"
#include "Sea.h"

int main(int argc, char* argv[]) {

  Animal* a0 = new Animal;

  cout << "Default construction of Animal: " << endl;
  a0->print();

  a0->set_name("A0");
  a0->set_age(7);

  cout << "After set members of an Animal: " << endl;
  a0->print();

  cout << endl;

  a0 = new Mammals;

  cout << "Default construction of a Mammal: " << endl;
  a0->print();

  a0->set_name("M0");
  a0->set_age(1);

  a0->set_legs(2);

/*
  cout << "After set members of a Mammal: " << endl;
  a0->print();

  cout << endl;

  a0 = new Birds;

  cout << "Default construction of a Bird: " << endl;
  a0->print();

  a0->set_name("B0");
  a0->set_age(2);

  cout << "After set members of a Bird: " << endl;
  a0->print();

  a0 = new Land;

  cout << "Default construction of a Land Mammal: " << endl;
  a0->print();

  a0->set_name("L0");
  a0->set_age(1);

  cout << "After set members of Land Mammal: " << endl;
  a0->print();

  a0 = new Sea;

  cout << "Default construction of a Sea Mammal: " << endl;
  a0->print();

  a0->set_name("S0");
  a0->set_age(2);

  cout << "After set members of Sea Mammal: " << endl;
  a0->print();
*/
}
