/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2002.
   author : Salih Yurttas.

   vector_e_02.cpp
*/


#include <iostream>

#include <vector>

using namespace std;

#include "vector_e.cpp"

int main(int argc, char* argv[]) {

  vector_e<int> a_0(2,
                    9);

  cout << "initial values after construction /";
  cout << endl;
  cout << "a_0 :";
  cout << endl;
  cout << a_0;
  cout << endl;

  vector_e<int> a_1(4,
                    1);

  cout << "initial values after construction /";
  cout << endl;
  cout << "a_1 :";
  cout << endl;
  cout << a_1;
  cout << endl;

  int n = a_1.get_size();

  cout << "a_1.get_element(i) /";
  cout << endl;

  for(int i=0; i<n; i++)  
    cout << a_1.get_element(i) << endl;
  cout << endl;

  a_1.set_element(0,
                  6);

  vector<int> a = a_1.get_element(0,2);

  n = a.size();

  cout << "a_1.get_element(0,2) /";
  cout << endl;

  for(int i=0; i<n; i++)  
    cout << a[i] << endl;
  cout << endl;

  a_1[2] = 7;
  cout << "a_1[2] /";
  cout << endl;
  cout << a_1[2];
  cout << endl;

  cout << "a_1 :";
  cout << endl;
  cout << a_1;
  cout << endl;

  vector_e<int> a_2(a_1);

  cout << "initial values after copy construction /";
  cout << endl;
  cout << "a_2 :";
  cout << endl;
  cout << a_2;
  cout << endl;

  a_2 = a_0;

  cout << "initial values after a_2=a_0 /";
  cout << endl;
  cout << "a_2 :";
  cout << endl;
  cout << a_2;
  cout << endl;

  vector_e<double> b_0(2,
                       9.1);

  cout << "initial values after construction /";
  cout << endl;
  cout << "b_0 :";
  cout << endl;
  cout << b_0;
  cout << endl;

  vector_e<double> b_1(4,
                       1.5);

  cout << "initial values after construction /";
  cout << endl;
  cout << "b_1 :";
  cout << endl;
  cout << b_1;
  cout << endl;

  n = b_1.get_size();

  cout << "b_1.get_element(i) /";
  cout << endl;

  for(int i=0; i<n; i++)  
    cout << b_1.get_element(i) << endl;
  cout << endl;

  b_1.set_element(0,
                  6.2);

  vector<double> b = b_1.get_element(0,2);

  n = b.size();

  cout << "b_1.get_element(0,2) /";
  cout << endl;

  for(int i=0; i<n; i++)  
    cout << b[i] << endl;
  cout << endl;

  b_1[2] = 7.8;

  cout << "b_1[2] /";
  cout << endl;
  cout << b_1[2];
  cout << endl;

  cout << "b_1 :";
  cout << endl;
  cout << b_1;
  cout << endl;

  vector_e<double> b_2(b_1);

  cout << "initial values after copy construction /";
  cout << endl;
  cout << "b_2 :";
  cout << endl;
  cout << b_2;
  cout << endl;

  b_2 = b_0;

  cout << "initial values after b_2=b_0 /";
  cout << endl;
  cout << "b_2 :";
  cout << endl;
  cout << b_2;
  cout << endl;

}
