/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   I_A.cpp
*/


#include "I_A.h"

I_A::
I_A(const int v) : a0(v) {
}

I_A::
I_A(const I_A& a) : a0(a.a0) {
}

I_A&
I_A::
operator=(const I_A& a) {
  a0 = a.a0;
  return *this;
}

int
I_A::
get_a0() const {
  return a0;
}

void
I_A::
set_a0(const int v) {
  a0 = v;
}

ostream&
operator<<(ostream& os,
           const I_A& a) {
  os << a.a0 << endl;
  os << endl;

  return os;
}
