/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   t_a_02.cpp
*/


#include <iostream>

using namespace std;

#include "T_A.cpp"

template class T_A<int>;
template class T_A<double>;

int main(int argc, char *argv[]) {

  T_A<int> a;

  cout << "a value after default construction-T_A<int>() /" << endl;
  cout << a << endl;

  a.set_a0(8);

  cout << "a value after a.set_a0(8) /" << endl;
  cout << a << endl;

  T_A<int> b(2);

  cout << "b value after default construction-T_A<int>(2) /" << endl;
  cout << b << endl;

  T_A<int> c(b);

  cout << "c value after T_A<int> c(b) /" << endl;
  cout << c << endl;

  b = a;

  cout << "b value after b=a /" << endl;
  cout << b << endl;

  cout << "b.get_a0() /" << endl;
  cout << b.get_a0() << endl;

  cout << endl;

  T_A<double> d;

  cout << "d value after default construction-T_A<double>() /" << endl;
  cout << d << endl;

  d.set_a0(8);

  cout << "d value after d.set_a0(8) /" << endl;
  cout << d << endl;

  T_A<double> e(2);

  cout << "e value after default construction-T_A<double>(2) /" << endl;
  cout << e << endl;

  T_A<double> f(e);

  cout << "c value after T_A<double> f(e) /" << endl;
  cout << c << endl;

  e = d;

  cout << "e value after e=d /" << endl;
  cout << e << endl;

  cout << "e.get_a0() /" << endl;
  cout << e.get_a0() << endl;

}
