/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   I_A.h
*/


#ifndef I_A_H
#define I_A_H

#include <iostream>

using namespace std;

class I_A {
public:
  I_A(const int v=0);

  I_A(const I_A&);

  I_A& operator=(const I_A&);

  int get_a0() const;
  int get_a1() const;

  void set_a0(const int);
  void set_a1(const int);

  friend ostream& operator<<(ostream&,
                             const I_A&);

private:
  int a0;
  int a1;
};
#endif
