/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   T_A.h
*/


#ifndef T_A_H
#define T_A_H

#include <iostream>

using namespace std;

template<class T>
class T_A {
public:
  T_A(const T v=0);

  T_A(const T_A<T>&);

  T_A<T>& operator=(const T_A<T>&);

  T get_a0() const;
  T get_a1() const;

  void set_a0(const T);
  void set_a1(const T);

  template<class U>           // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const T_A<U>&);

private:
  T a0;
  T a1;
};
#endif
