/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   D_I_A.h
*/


#ifndef D_I_A_H
#define D_I_A_H

#include <iostream>

using namespace std;

class D_I_A {
public:
  D_I_A(const double v1=0,
        const int v2=0);

  D_I_A(const D_I_A&);

  D_I_A& operator=(const D_I_A&);

  double get_a0() const;
  int get_a1() const;

  void set_a0(const double);
  void set_a1(const int);

  friend ostream& operator<<(ostream&,
                             const D_I_A&);

private:
  double a0;
  int a1;
};
#endif
