/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   I_D_A.cpp
*/


#include "I_D_A.h"

I_D_A::
I_D_A(const int v1,
      const double v2) : a0(v1),
                         a1(v2) {
}

I_D_A::
I_D_A(const I_D_A& a) : a0(a.a0),
                        a1(a.a1) {
}

I_D_A&
I_D_A::
operator=(const I_D_A& a) {
  a0 = a.a0;
  a1 = a.a1;
  return *this;
}

int
I_D_A::
get_a0() const {
  return a0;
}

double
I_D_A::
get_a1() const {
  return a1;
}

void
I_D_A::
set_a0(const int v) {
  a0 = v;
}

void
I_D_A::
set_a1(const double v) {
  a1 = v;
}

ostream&
operator<<(ostream& os,
           const I_D_A& a) {
  os << a.a0 << endl;
  os << a.a1 << endl;
  os << endl;

  return os;
}
