/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   I_D_A.h
*/


#ifndef I_D_A_H
#define I_D_A_H

#include <iostream>

using namespace std;

class I_D_A {
public:
  I_D_A(const int v1=0,
        const double v2=0);

  I_D_A(const I_D_A&);

  I_D_A& operator=(const I_D_A&);

  int get_a0() const;
  double get_a1() const;

  void set_a0(const int);
  void set_a1(const double);

  friend ostream& operator<<(ostream&,
                             const I_D_A&);

private:
  int a0;
  double a1;
};
#endif
