/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   t_a_04.cpp
*/


#include <iostream>

using namespace std;

#include "T_A.cpp"

int main(int argc, char *argv[]) {

  T_A<int,int> a;

  cout << "a value after default construction-T_A<int,int>() /" << endl;
  cout << a << endl;

  a.set_a0(8);
  a.set_a1(5);

  cout << "a value after a.set_a0(8) /" << endl;
  cout << "  value after a.set_a1(5) /" << endl;
  cout << a << endl;

  T_A<int,int> b(2);

  cout << "b value after default construction-T_A<int>(2) /" << endl;
  cout << b << endl;

  T_A<int,int> c(b);

  cout << "c value after T_A<int> c(b) /" << endl;
  cout << c << endl;

  b = a;

  cout << "b value after b=a /" << endl;
  cout << b << endl;

  cout << "b.get_a0() /" << endl;
  cout << b.get_a0() << endl;
  cout << "b.get_a1() /" << endl;
  cout << b.get_a1() << endl;

  cout << endl;

  T_A<double,double> d;

  cout << "d value after default construction-T_A<double,double>() /" << endl;
  cout << d << endl;

  d.set_a0(8);
  d.set_a1(5);

  cout << "d value after d.set_a0(8) /" << endl;
  cout << "  value after d.set_a1(5) /" << endl;
  cout << d << endl;

  T_A<double,double> e(2);

  cout << "e value after default construction-T_A<double,double>(2) /" << endl;
  cout << e << endl;

  T_A<double,double> f(e);

  cout << "c value after T_A<double,double> c(b) /" << endl;
  cout << c << endl;

  e = d;

  cout << "e value after e=d /" << endl;
  cout << e << endl;

  cout << "e.get_a0() /" << endl;
  cout << e.get_a0() << endl;
  cout << "e.get_a1() /" << endl;
  cout << e.get_a1() << endl;

  cout << endl;

  T_A<int,double> p;

  cout << "p value after default construction-T_A<int,double>() /" << endl;
  cout << p << endl;

  p.set_a0(8);
  p.set_a1(5);

  cout << "p value after p.set_a0(8) /" << endl;
  cout << "  value after p.set_a1(5) /" << endl;
  cout << p << endl;

  T_A<int,double> q(2);

  cout << "q value after default construction-T_A<int,double>(2) /" << endl;
  cout << q << endl;

  T_A<int,double> r(q);

  cout << "c value after T_A<int,double> r(q) /" << endl;
  cout << c << endl;

  q = p;

  cout << "q value after q=p /" << endl;
  cout << q << endl;

  cout << "q.get_a0() /" << endl;
  cout << q.get_a0() << endl;
  cout << "q.get_a1() /" << endl;
  cout << q.get_a1() << endl;

  cout << endl;

  T_A<double,int> s;

  cout << "s value after default construction-T_A<double,int>() /" << endl;
  cout << s << endl;

  s.set_a0(8);
  s.set_a1(5);

  cout << "s value after s.set_a0(8) /" << endl;
  cout << "  value after s.set_a1(5) /" << endl;
  cout << s << endl;

  T_A<double,int> t(2);

  cout << "t value after default construction-T_A<double,int>(2) /" << endl;
  cout << t << endl;

  T_A<double,int> u(t);

  cout << "u value after T_A<double,int> u(t) /" << endl;
  cout << u << endl;

  t = s;

  cout << "t value after t=s /" << endl;
  cout << t << endl;

  cout << "t.get_a0() /" << endl;
  cout << t.get_a0() << endl;
  cout << "t.get_a1() /" << endl;
  cout << t.get_a1() << endl;

}
