/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   D_A.h
*/


#include <iostream>

using namespace std;

class D_A {
public:
  D_A();

  D_A(const D_A&);

  D_A& operator=(const D_A&);

  virtual ~D_A();

  virtual int get_s() const;

  virtual double get_d(const int) const;

  virtual double* get_d() const;

  virtual void set_d(const int size=0,
                     const double value=0);

  friend ostream& operator<<(ostream&,
                             const D_A&);

protected:
  int s;
  double* d;
};
