/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   t_a_00.cpp
*/


#include <iostream>

using namespace std;

#include "T_A.cpp"

int main(int argc, char* argv[]) {

  T_A<int,double> a_0;

  cout << "a_0 values after construction-T_A() /" << endl;
  cout << a_0 << endl;
  cout << endl;

  a_0.set_d0_d1(2);

  cout << "a_0 values after a_0.set_d0_d1(2) /" << endl;
  cout << a_0 << endl;
  cout << endl;

  a_0.set_d0_d1(4,
                3,
                0.25);

  cout << "a_0 values after a_0.set_d0_d1(4,3,0.25) /" << endl;
  cout << a_0 << endl;
  cout << endl;

  int n = a_0.get_s();

  int* aa = new int[n];

  aa = a_0.get_d0();

  cout << "aa after a_0.get_d0() /" << endl;
  for(int i=0; i<n; ++i)
    cout << aa[i] << endl;

  cout << endl;

  T_A<int,double> a_1(a_0);

  cout << "a_1 values after construction-T_A(const T_A&) /" << endl;
  cout << a_1 << endl;
  cout << endl;

  a_1.set_d0_d1(3,
                7,
                2.15);

  cout << "a_1 after updated by (3,7,2.15) /" << endl;
  cout << a_1 << endl;
  cout << endl;

  a_1 = a_0;

  cout << "a_1 after a_1=a_0 /" << endl;
  cout << a_1 << endl;
  cout << endl;

  cout << "a_0 after a_1=a_0 /" << endl;
  cout << a_0 << endl;
  cout << endl;

}
