/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   T_A.h
*/


#include <iostream>

using namespace std;

template<class T>
class T_A {
public:
  T_A();

  T_A(const T_A&);

  T_A& operator=(const T_A&);

  virtual ~T_A();

  virtual int get_s() const;

  virtual T get_d(const int) const;

  virtual T* get_d() const;

  virtual void set_d(const int); // size with default value=0

  virtual void set_d(const int,
                     const T);

  template<class U>              // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const T_A<U>&);

protected:
  int s;
  T* d;
};
