/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   T_V.h
*/


#include <iostream>
#include <vector>

using namespace std;

template<class T>
class T_V {
public:
  T_V();

  T_V(const T_V<T>&);

  T_V& operator=(const T_V<T>&);

  virtual int get_size() const;

  virtual T get_d(const int) const;

  virtual vector<T> get_d() const;

  virtual void set_d(const int); // size with default value=0

  virtual void set_d(const int,
                     const T);

  template<class U>           // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const T_V<U>&);

protected:
  vector<T> d;
};
