/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : June 1, 2002.
   author : Salih Yurttas.

   A.cpp
*/


#include "A.h"

template <class T1,
          class T2,
          class T3>
A<T1,T2,T3>::
A(const T1 i,
  const T2 j,
  const T3 k) : a(i),
                b(j),
                c(k) {
}

template <class T1,
          class T2,
          class T3>
T1
A<T1,T2,T3>::
get_a() const {
  return a;
}

template <class T1,
          class T2,
          class T3>
T2
A<T1,T2,T3>::
get_b() const {
  return b;
}

template <class T1,
          class T2,
          class T3>
T3
A<T1,T2,T3>::
get_c() const {
  return c;
}

template <class T1,
          class T2,
          class T3>
T1*
A<T1,T2,T3>::
get_abc() const {
  T1 * l = new T1[3];
  l[0] = a;
  l[1] = b;
  l[2] = c;

  return l;
}

template <class T1,
          class T2,
          class T3>
void
A<T1,T2,T3>::
set_a(const T1 v) {
  a = v;
}

template <class T1,
          class T2,
          class T3>
void
A<T1,T2,T3>::
set_b(const T2 v) {
  b = v;
}

template <class T1,
          class T2,
          class T3>
void
A<T1,T2,T3>::
set_c(const T3 v) {
  c = v;
}

template <class T1,
          class T2,
          class T3>
void
A<T1,T2,T3>::
set_abc(const T1 v) {
  a = v;
  b = v;
  c = v;
}

template <class T1,
          class T2,
          class T3>
void
A<T1,T2,T3>::
set_abc(const T1 u,
        const T2 v,
        const T3 w) {
  a = u;
  b = v;
  c = w;
}

template <class T1,
          class T2,
          class T3>
ostream&
operator<<(ostream& os,
           const A<T1,T2,T3>& a) {
  os << a.a << ' ';
  os << a.b << ' ';
  os << a.c;
  os << endl;

  return os;
}
