/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2002.
   author : Salih Yurttas.

   sort.cpp
*/


#include "sort_order.h"

using namespace std;

template <class T>
void sort_order(vector<T>& list) {
  char sort_order_decision = get_char("A|D");

  switch((AD)(toupper(sort_order_decision))) {
    case Ascending : sort(list,
                          less<T>());
                     break;
    case Descending : sort(list,
                           greater<T>());
                      break;
    default : cerr << "Error: order_decision should be A|D" << endl;
                  exit(1);
  }
}
