/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   R.h
*/


#ifndef R_H
#define R_H

#include "P.h"

template<class T>
class R : public P<T> {
public:
  R();

  R(const R<T>&);

  virtual R<T>& operator=(const R<T>&);

  virtual T get_a(const int) const; // in: index, out: value

  virtual void set_a(const int,  // size
                     const T);   // value

  template<class U>           // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const R<T>&);
};
#endif
