/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   Q.h
*/


#ifndef Q_H
#define Q_H

#include "P.h"

template<class T>
class Q : public P<T> {
public:
  Q();

  Q(const Q<T>&);

  virtual Q<T>& operator=(const Q<T>&);

  virtual T get_a(const int) const; // in: index, out: value

  virtual T get_b() const;

  virtual void output() const;

protected:
  T b;
};
#endif
