/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   io_gs_01.cpp
*/


#include <iostream>

#include <vector>
#include <string>

using namespace std;

vector<string> get_vector_line(const char*);

vector<string> double_space(const vector<string>&);

void put_vector_line(const char*,
                     const vector<string>&);

int main(int argc, char* argv[]) {

  if(argc!=3) {
    cout << "\nUsage: " << argv[0]
         << " infile outfile\n";
    exit(1);
  }

  vector<string> data = get_vector_line(argv[1]);

  data = double_space(data);

  put_vector_line(argv[2],
                  data);

}
