/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   construct_vector_ints.cpp
*/


#include "common.h"

#include "io.h"

using namespace std;

int count_spaces(const string&);

vector< vector<int> > construct_vector_ints(const vector<string>& v_s) {
  int n = v_s.size();

  vector< vector<int> > v_v;

  for(int i=0; i<n; ++i) {
    string s = v_s.at(i);
    int count = count_spaces(s);

    istringstream ins;             // construct an input string stream object.
    ins.str(s);                    // specify input string.

    vector<int> v;
    int a;

    for(int i=0; i<count+1; ++i) {
      ins >> a;                    // input the integers from the string.
      v.push_back(a);
    }
    v_v.push_back(v);
  }

  return v_v;
}
