/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   get_vector_lines.cpp
*/


#include "common.h"

#include "io.h"

using namespace std;

vector<string> get_vector_lines() {
  vector<string> lines;

  string filename;

  cout << endl;
  cout << "--> input filename : ";
  cin >> filename;

  ifstream f_in(filename.c_str());

  if(!f_in) {
    cerr << "File named as " << filename << " is not opened for input." << endl;
    exit(1);
  }
  else {
    string t;

    while(getline(f_in,
                  t,
                  '\n'))
      lines.push_back(t);
  }

  f_in.close();

  return lines;
}
