/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, computer Science, TAMU.
   
   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   get_string_values.cpp
*/


#include <iostream>

#include <fstream>

#include <memory>

using namespace std;

const int MAX_SIZE_STRING=32;

int get_string_values(char* v[]) {
  char filename[MAX_SIZE_STRING];
  int i;

  cout << "--> input filename : ";
  cin >> filename;
  cout << endl;

  ifstream f_in(filename);

  if(!f_in) {
    cerr << "File named as " << filename << " is not opened for input." << endl;
    exit(1);
  }
  else {
    i = 0;
    do {
      v[i] = (char *) calloc(MAX_SIZE_STRING, sizeof(char));
    } while(f_in>>v[i++]);
  }

  f_in.close();

  return --i; /* number of input values counted. */
}
