/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for I_ADUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   q_01.cpp
*/

#include <iostream>

#include <list>

#include <queue>

using namespace std;

int main(int argc, char* argv[]) {

  list<int> l;

  l.push_back(2);
  l.push_back(1);
  l.push_back(9);
  l.push_back(7);

  list<int>::iterator i1 = l.begin();
  list<int>::iterator i2 = l.end();

  while(i1!=i2)
    cout << *i1++ << endl;

  cout << endl;

  queue< list<int> > q;

  q.push(l);
  q.push(l);

  while(!q.empty()) {
    l = q.front();

    i1 = l.begin();
    i2 = l.end();

    while(i1!=i2)
      cout << *i1++ << endl;
    cout << endl;

    q.pop();
  }

}
