/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for I_ADUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   pq_00.cpp
*/

#include <iostream>

#include <queue>
#include <vector>

using namespace std;

int main(int argc, char* argv[]) {

  priority_queue< int,
                  vector<int>,
                  greater<int> > pq;

  pq.push(2);
  pq.push(1);
  pq.push(9);
  pq.push(7);

  while(!pq.empty()) {
    cout << pq.top() << endl;
    pq.pop();
  }

}
