/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
  
   date   : January 1, 1998.
   author : Salih Yurttas.

   purpose : To search for the presence/absence
             of a given key, in a given list of integers,
             by Linear Search Algorithm.

   linear_search_01.cpp
*/


#include <iostream>
#include <fstream>

using namespace std;

const int MAX_SIZE=16;
const int MAX_SIZE_STRING=32;

int main(int argc, char* argv[]) {

  int given_list[MAX_SIZE];

  char filename[MAX_SIZE_STRING];
  int k;

  cout << "--> input filename : ";
  cin >> filename;
  cout << endl;

  ifstream f_in(filename);

  if(!f_in) {
    cerr << "File named as " << filename << " is not opened for input." << endl;
    exit(1);
  }
  else {
    k = 0;
    while(f_in>>given_list[k])
      ++k;
  }

  f_in.close();

  int key;

  cout << "Enter the key value in int : ";
  cin >> key;
  cout << endl;

  bool found=false;

  for(int i=0; i<k&&!found; i++)
    if(key==given_list[i]) found=true;

  if(found)
    cout << "key " << key << " was present in the given_list." << endl;
  else
    cout << "key " << key << " was not present in the given_list." << endl;

}
