/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_int.h
*/


#include <vector>
#include <string>

using namespace std;

class search_int {
public:
  bool linear_search_int(int,
                         vector<int>&);

  bool binary_search_int(int,
                         vector<int>&);

  char get_char(string);

  int get_int();

  vector<int> get_vector_int();

  void put_int(bool,
               int);

private:
  bool found;
  int key;
};
