/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_string.h
*/


#include <vector>
#include <string>

using namespace std;

class search_string {
public:
  bool linear_search_string(string,
                            vector<string>&);

  bool binary_search_string(string,
                            vector<string>&);

  char get_char(string);

  string get_string();

  vector<string> get_vector_string();

  void put_string(bool,
                  string);

private:
  bool found;
  string key;
};
