/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_item.h
*/


#include <vector>
#include <string>

using namespace std;

template <class T>
class search_item {
public:
  bool linear_search_item(T,
                          vector<T>&);

  bool binary_search_item(T,
                          vector<T>&);

  char get_char(string);

  T get_item();

  vector<T> get_vector_item();

  void put_item(bool,
                T);

private:
  bool found;
  T key;
};
