/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   sort_asc_int_15.cpp
*/


#include "sort_asc_int.h"

int main(int argc, char* argv[]) {

  int given_list[MAX_SIZE];

  int number_of_items = get_list_int(given_list);

  char sort_decision = get_char("B|I|Q|S");

  switch(sort_decision) {
    case 'b' :
    case 'B' : bubblesort_asc_int(given_list,
                                  number_of_items);
               break;
    case 'i' :
    case 'I' : insertionsort_asc_int(given_list,
                                     number_of_items);
               break;
    case 'q' :
    case 'Q' : quicksort_asc_int(given_list,
                                 number_of_items);
               break;
    case 's' :
    case 'S' : selectionsort_asc_int(given_list,
                                     number_of_items);
               break;
    default : cerr << "Error: sort_decision should be B|I|Q|S" << endl;
              exit(1);
  }

  put_list_int(given_list,
               number_of_items);

}
