/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   sort_asc_int_06.cpp
*/


#include "parameters.h"
#include "common.h"
#include "sort_asc.h"

int main(int argc, char* argv[]) {

  vector<int> given_vector = get_vector_item<int>();

  char sort_decision = get_char("B|I|Q|S");

  switch((BIQS)(toupper(sort_decision))) {
    case BubbleSort : bubblesort_asc(given_vector);
                      break;
    case InsertionSort : insertionsort_asc(given_vector);
                         break;
    case QuickSort : quicksort_asc(given_vector);
                     break;
    case SelectionSort : selectionsort_asc(given_vector);
                         break;
    default : cerr << "Error: sort_decision should be B|I|Q|S" << endl;
              exit(1);
  }

  put_vector_item(given_vector);

}
