/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   search_sort_string_31.cpp
*/


#include "search_sort_string_31.h"

int main(int argc, char* argv[]) {

  char repeat_decision;

  do {
    char s_s_decision = get_char("Search|Sort");

    switch((SO)(toupper(s_s_decision))) {
      case Search : { vector<string> list = get_vector_string();

                      string key = get_string();

                      bool found = search_string(key,
                                                 list);

                      put_found_string(found,
                                       key);
                    }
                    break;

      case Sort : { vector<string> list = get_vector_string();

                    sort_string(list);

                    put_vector_string(list);
                  }
                  break;

      default : cerr << "Error: search_sort_decision should be S|O" << endl;
                exit(1);
    }

    repeat_decision = get_char("Yes/No");
  }
  while((YN)(toupper(repeat_decision))=='Y');

}
