/*
   Copyright(C) 2004
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2004.
   author : Salih Yurttas.

   search.cpp
*/


#include "search.h"

template <class T>
bool search(T key,
            vector<T>& list) {
  char search_decision = get_char("Linear|Binary");

  bool found;

  switch(toupper(search_decision)) {
    case Linear : found = linear_search(key,
                                        list);
                  break;
    case Binary : found = binary_search(key,
                                        list);
                  break;
    default : cerr << "Error: search_decision should be L|B" << endl;
              exit(1);
  }

  return found;
}
