/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2002.
   author : Salih Yurttas.

   count_pattern.cpp
*/


#include "common.h"
#include "pattern.h"

using namespace std;

int count_pattern(vector<string>& lines) {
  int k = 0;

  int p_l = pattern.length();

  int n = lines.size();

  for(int i=0; i<n; i++) {
    string a = lines[i];
    int l = a.length();

    int p = 0;

    while(l>=p_l) {
      int p = a.find(pattern);

      if(p<0) break;

      ++k;

      a = a.substr(p+p_l,l-1);

      l = a.length();
    }
  }

  return k;

}
