/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   get_list_int.cpp
*/


#include <iostream>
#include <fstream>

using namespace std;

const int MAX_SIZE_STRING=32;

void get_list_int(int list[],
                  int& i) {
  char filename[MAX_SIZE_STRING];

  cout << "--> input filename : ";
  cin >> filename;
  cout << endl;

  ifstream f_in(filename);

  if(!f_in) {
    cerr << "File named as " << filename << " is not opened for input." << endl;
    exit(1);
  }
  else {
    i = 0;
    while(f_in>>list[i])
      ++i;
  }

  f_in.close();
}
