/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   hanoi.cpp
*/


#include <iostream>

using namespace std;

void hanoi(int n,
           char a,       // move n disks from tower a to tower b,
           char b,       // using tower c
           char c) {
  if(n==1)               // can move smallest disk directly
    cout << "move disk from tower " << a << " to " << b << endl;
  else {                 // first move all but last disk to tower c
    hanoi(n-1,           // then move one disk from a to b
          a,
          c,
          b);

    cout << "move disk from tower " << a << " to " << b << endl;

    hanoi(n-1,           // then move all disks from c back to b
          c,
          b,
          a);
  }

}
