// search_sort_int.h


#include <iostream>

#include <vector>

#include <cctype>

using namespace std;

const int MAX_SIZE=16;

enum YN {Yes='Y',
         No='N'};
typedef enum YN YN;

enum SO {Search='S',
         Sort='O'};
typedef enum SO SO;

enum LB {Linear='L',
         Binary='B'};
typedef enum LB LB;

extern int get_int();

extern void get_list_int(vector<int>&);

extern char get_char(char *p);

extern bool linear_search_int(int, vector<int>&);
extern bool binary_search_int(int, vector<int>&);

extern void put_found_int(bool, int);

enum BIQS {BubbleSort='B',
           InsertionSort='I',
           QuickSort='Q',
           SelectionSort='S'};
typedef enum BIQS BIQS;

extern void bubblesort_asc_int(vector<int>&);
extern void insertionsort_asc_int(vector<int>&);
extern void quicksort_asc_int(vector<int>&);
extern void selectionsort_asc_int(vector<int>&);

extern void put_list_int(vector<int>&);
