/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.

   put_data_pqr.cpp
*/


#include "common.h"
#include "types.h"
#include "io.h"

void put_data_pqr(const multimap< int, pqr, less<int> >& data) {
  string filename;

  cout << endl;
  cout << "-> output filename : ";
  cin >> filename;

  ofstream f_out(filename.c_str());

  multimap<int, pqr, less<int> >::const_iterator i = data.begin();
  multimap<int, pqr, less<int> >::const_iterator k = data.end();

  for(; i!=k; ++i) {
    f_out.fill(' ');
    f_out.width(4);
    f_out.setf(ios::right);

    pqr t = i->second;
    f_out << i->first << " " << t.q << " " << t.r << endl;
  }
}
