/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.

   pointer_03.cpp
*/


#include <iostream>

using namespace std;

const int N=16;

int main(int argc, char* argv[]) {

  const int K=2;

  cout << "N = " << N << endl;
  cout << endl;

  // N = 9; -- not possible since N is const

  cout << "K = " << K << endl;
  cout << endl;

  int a = 4;

  int* p = &a;   // pointer to int variable

  cout << "a = " << a << endl;
  cout << endl;

  cout << "*p = " << *p << endl;
  cout << endl;

  // p = &N; -- not possible since N is const

  ++a;

  cout << "*p = " << *p << endl;
  cout << endl;

  *p += 3;

  cout << "*p = " << *p << endl;
  cout << endl;

  const int* q = &a;   // pointer to a const int

  cout << "*q = " << *q << endl;
  cout << endl;
  // *q += 5;  -- not possible since q points to a const

  q = p;

  cout << "*q = " << *q << endl;
  cout << endl;

  int* const r = &a;   // pointer to a const int

  cout << "*r = " << *r << endl;
  cout << endl;

  *r += 5;

  cout << "*r = " << *r << endl;
  cout << endl;

  // r = p; -- not possible since r is const

  q = &N;

  // r = &N; -- not possible since r is const

  const int* const s = &a;   // pointer to a const integer

  cout << "*s = " << *s << endl;
  cout << endl;

  // *s += 1;  -- not possible since s points to a const
  // s = r;    -- not possible since s is const

}
