/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 1998.
   author : Salih Yurttas.

   pointer_10.cpp
*/


#include <iostream>

using namespace std;

void swap(int*, int*);

int main(int argc, char* argv[]) {

  int a=5,
      b=6;
  
  cout << "m-before : " << "a = " << a << " b = " << b << endl;

  swap(&a,
       &b);   // c-style by reference

  cout << "m-after  : " << "a = " << a << " b = " << b << endl;

}

void swap(int *p,
          int *q) {

  cout << "s-before : " << "p = " << *p << " q = " << *q << endl;

  int t=*p;
  *p=*q;
  *q=t;

  cout << "s-after  : " << "p = " << *p << " q = " << *q << endl;

}
