/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   linked_list_01.cpp
*/


#include <iostream>

using namespace std;

struct data {
  int item;
  struct data *next;
};

int main(int argc, char* argv[]) {

  struct data one;
  
  one.item = 2;
  one.next = NULL;

  cout << endl;
  cout << "data one : " << one.item << endl;

  struct data two;
  
  one.next = &two;
  two.item = 4;
  two.next = NULL;

  cout << endl;
  cout << "data one : " << one.item << endl;

  cout << endl;
  cout << "data two : " << two.item << endl;

  cout << endl;
  cout << "data two : " << one.next->item << endl;

  struct data three;
  
  two.next = &three;
  three.item = 8;
  three.next = NULL;

  cout << endl;
  cout << "data one : " << one.item << endl;

  cout << endl;
  cout << "data two : " << two.item << endl;

  cout << endl;
  cout << "data three : " << three.item << endl;

  cout << endl;
  cout << "data two : " << one.next->item << endl;

  cout << endl;
  cout << "data three : " << two.next->item << endl;

  cout << endl;
  cout << "data three : " << one.next->next->item << endl;

}
