/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   linked_list_01.cpp
*/


#include <iostream>

using namespace std;

struct data {
  int item;
  struct data *next;
};

int main(int argc, char* argv[]) {

  struct data* head = NULL;
  struct data* previous = NULL;

// struct data* node = (struct data*) malloc(sizeof(data));
// performs better but complex for the programmer
// use new

  struct data* node = new struct data;

  head = node;

  node->item = 2;
  node->next = NULL;

  cout << endl;
  cout << "data node item : " << head->item << endl;

  previous = node;

  node = new struct data;

  previous->next = node;

  node->item = 4;
  node->next = NULL;

  cout << endl;
  cout << "data node item : " << head->item << endl;
  cout << "data node item : " << head->next->item << endl;

  previous = node;

  node = new struct data;

  previous->next = node;

  node->item = 8;
  node->next = NULL;

  cout << endl;
  cout << "data node item : " << head->item << endl;
  cout << "data node item : " << head->next->item << endl;
  cout << "data node item : " << head->next->next->item << endl;

}
