/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   exception_02.cpp
*/


#include <iostream>
#include <cctype>

using namespace std;

#include "Thrower.h"

enum IDC {Integer='I',
          Double='D',
          Character='C'};

typedef enum IDC IDC;

int main(int argc, char* argv[]) {

  char decision;

  cout << "Enter a decision value as character I | D | C : ";
  cin >> decision;

  try {
    switch((IDC)(toupper(decision))) {
      case Integer : {
        int value; 

        cout << "Enter an int value : " ;
        cin >> value;

        Thrower().thrower(value); // unhandled exception 
      }
      break;

      case Double : {
        double value; 

        cout << "Enter a double value : " ;
        cin >> value;

        Thrower().thrower(value); // unhandled exception 
      }
      break;

      case Character : {
        char value; 

        cout << "Enter a char value : " ;
        cin >> value;

        Thrower().thrower(value); // unhandled exception 
      }
    }
  }
  catch(const int value) {
    cerr << "Integer Exception : " << value << endl;
  }
  catch(const double value) {
    cerr << "Double Exception : " << value << endl;
  }
  catch(const char value) {
    cerr << "Character Exception : " << value << endl;
  }

}
