/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   exception_14.cpp
*/


#include <iostream>

#include <stdexcept>

using namespace std;

class E1;

class E1 {
public:
  E1() {}
};

void handle_unexpected() {
  throw bad_exception();
}

void f_00()
  throw(E1,
        bad_exception)
{
  throw E1();
}

int main(int argc, char* argv[]) {

  set_unexpected(handle_unexpected);

  try {
    f_00();
  }
  catch(bad_exception e) {
    cout << "Exception : " << e.what() << endl; 
  }

}
