/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : September 1, 2005.
   author : Austin W. Westfall, Salih Yurttas.

   consumer.cpp
*/


#include "consumer.h"

#include <iostream>

using namespace std;

void
consumer::
consume(int items) {
  num_items = items;
  start();
}

void
consumer::
run() {
  for(int i=0; i<num_items; ++i) {
    int item = ch->get();
    cout << "Consumer #" << id << " got: " << item << endl;
    usleep(320);
  }
}
