/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : September 1, 2005.
   author : Austin W. Westfall, Salih Yurttas.

   thread.h
*/


#ifndef THREAD_H
#define THREAD_H

#include <pthread.h>

class thread {
public:
  virtual ~thread();

  void start();
  void join();

protected:
  virtual void run()=0;

private:
  pthread_t pt;
  static void * dispatch(void *);
};
#endif
