/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   e_00.cpp
*/


#include <iostream>

using namespace std;

#include "E.h"

int main(int argc, char* argv[]) {

  E e1;

  cout << "initial values after default construction-E() /" << endl;

  cout << e1.i0 << endl;
  cout << e1.get_i1() << endl;
  cout << e1.get_i2() << endl;

  cout << endl;

  E e2(2);

  cout << "initial values after construction-E(int) /" << endl;

  cout << e2.i0 << endl;
  cout << e2.get_i1() << endl;
  cout << e2.get_i2() << endl;

  cout << endl;

  e2.set_i1_i2(4);

  cout << "updated values - ";
  cout << "accessors get_i1(), get_i2() and mutator set_i1_i2(int) /";
  cout << endl;

  cout << e2 << endl;

  E e3(e2);

  cout << "initial values after construction-E(E&) /" << endl;

  cout << e3 << endl;

  e3.set_i1_i2(1);

  cout << "clone e2 after clone e3 updated /" << endl;

  cout << e2 << endl;

  cout << "clone e3 after clone e3 updated /" << endl;

  cout << e3 << endl;

}
