/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   f_00.cpp
*/


#include <iostream>

using namespace std;

#include "F.h"

int main(int argc, char* argv[]) {

  F f1;

  cout << "initial values after default construction-F() /" << endl;

  cout << f1.get_i1() << endl;
  cout << f1.get_i2() << endl;

  cout << endl;

  F f2(2);

  cout << "initial values after construction-F(int) /" << endl;

  cout << f2.get_i1() << endl;
  cout << f2.get_i2() << endl;

  cout << endl;

  f2.set_i1_i2(4);

  cout << "updated values - ";
  cout << "accessors get_i1(), get_i2() and mutator set_i1_i2(int) /";
  cout << endl;

  cout << f2 << endl;

  F f3(f2);

  cout << "initial values after construction-F(F&) /" << endl;

  cout << f3 << endl;

  f3.set_i1_i2(1);

  cout << "clone f2 after clone f3 updated /" << endl;

  cout << f2 << endl;

  cout << "clone f3 after clone f3 updated /" << endl;

  cout << f3 << endl;

}
