/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   b_00.cpp
*/


#include <iostream>

using namespace std;

#include "B.h"

int main(int argc, char* argv[]) {

  B b1;

  cout << "initial values after default construction-B() /" << endl;

  cout << b1.get_i1() << endl;
  cout << b1.get_i2() << endl;

  cout << endl;

  B b2(2);

  cout << "initial values after construction-B(int) /" << endl;

  cout << b2.get_i1() << endl;
  cout << b2.get_i2() << endl;

  cout << endl;

  b2.set_i1_i2(4);

  cout << "updated values - ";
  cout << "accessors get_i1(), get_i2() and mutator set_i1_i2(int) /";
  cout << endl;

  cout << b2 << endl;

  B b3(b2);

  cout << "initial values after construction-B(B&) /" << endl;

  cout << b3 << endl;

  b3.set_i1_i2(1);

  cout << "clone b2 after clone b3 updated /" << endl;

  cout << b2 << endl;

  cout << "clone b3 after clone b3 updated /" << endl;

  cout << b3 << endl;

}
