/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   d_00.cpp
*/


#include <iostream>

using namespace std;

#include "D.h"

int main(int argc, char* argv[]) {

  D d1;

  cout << "initial values after construction-D(int) /" << endl;
  cout << d1 << endl;
  cout << endl;

  cout << d1.get_i1() << endl;
  cout << d1.get_i2() << endl;

  cout << endl;

  d1.set_i1_i2(4);

  cout << "updated values - " << endl;
  cout << d1 << endl;
  cout << endl;

  D d2(d1);

  cout << "initial values after construction-D(D&) /" << endl;
  cout << d2 << endl;
  cout << endl;

  d2.set_i1_i2(3,7);

  cout << "d1 after after d2 updated /" << endl;
  cout << d1 << endl;
  cout << endl;

  cout << "d2 after after d2 updated /" << endl;
  cout << d2 << endl;
  cout << endl;

  int* dd = new int[2];

  dd = d2.get_i1_i2();

  cout << "dd after after d2.get_i1_i2() /" << endl;
  for(int i=0; i<2; i++)
    cout << dd[i] << endl;

  cout << endl;

  d1.set_i1_i2(dd);

  cout << "d1 after after d1 updated by dd /" << endl;
  cout << d1 << endl;
  cout << endl;

}
