/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   d_01.cpp
*/


#include <iostream>

using namespace std;

#include "D.h"

int main(int argc, char* argv[]) {

  D d_0;

  cout << "initial values after construction-D(int) /" << endl;
  cout << d_0 << endl;
  cout << endl;

  int n = d_0.get_s();

  int* aa = new int[n];

  aa = d_0.get_d();

  cout << "aa after d_0.get_d() /" << endl;
  for(int i=0; i<n; i++)
    cout << aa[i] << endl;

  cout << endl;

  d_0.set_d(9);

  cout << "d_0 after updated by (9) /" << endl;
  cout << d_0 << endl;
  cout << endl;

  D d_1(d_0);

  cout << "initial values after construction-D(D&) /" << endl;
  cout << d_1 << endl;
  cout << endl;

  d_1.set_d(3,7);

  cout << "d_1 after updated by (3,7) /" << endl;
  cout << d_1 << endl;
  cout << endl;

  n = d_1.get_s();

  aa = new int[n];

  for(int i=0; i<n; i++)
    aa[i] = 5;

  d_1.set_d(aa);

  cout << "d_1 after updated by (aa) /" << endl;
  cout << d_1 << endl;
  cout << endl;

  d_1 = d_0;

  cout << "d_1 after d_1=d_0 /" << endl;
  cout << d_1 << endl;
  cout << endl;

  cout << "d_0 after d_1=d_0 /" << endl;
  cout << d_0 << endl;
  cout << endl;

}
