/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>
#include <vector>

using namespace std;

class A {
public:
  A(const char,
    const char);

  A(const A&);

  A& operator=(const A&);

  ~A();

  int get_length() const;

  char get_c1() const;
  void set_c1(const char);

  char get_c2() const;
  void set_c2(const char);

  void set_c1_c2(const char);
  void set_c1_c2(const char,
                 const char);

  friend ostream& operator<<(ostream&,
                             const A&);

private:
  static const int size = 2;
  char *c1_c2;
};
#endif
