/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : January 1, 2007.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>
#include <fstream>

using namespace std;

class A {
public:
  A(const int s=0);             // initial values from input file

  A(const A&);

  ~A();

  A& operator=(const A&);

  int get_size() const;

  int* get_a1() const;

  void set_a1(const int a=0);   // every position in size is assigned a

  void set_a1(const int,        // new size for a1
              const int);       // every position in size is assigned a

  void set_a1(const int,        // new size for a1
              const int*);      // a1 is assigned

  friend ostream& operator<<(ostream&,
                             const A&);
 
private:
  int size;
  int* a1;

  void get_object(const int);
};
#endif
