/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.h
*/


#include <iostream>

using namespace std;

class A {
public:
  A(const int a=0,
    const int b=0);                // default valued default constructor

  ~A();

  int get_l() const;               // accessor for l

  int* get_d() const;              // accessor for d

  void set_d(const int,            // mutator for d
             const int);

  friend ostream& operator<<(ostream&,
                             const A&);

private:
  int l;
  int* d;
};
