/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   AA.h
*/


#include <iostream>

using namespace std;

class AA {
public:
  AA();                     // default constructor (non-parameterized)

  AA(const int);            // parameterized constructor

  AA(const AA&);            // copy constructor

  AA& operator=(const AA&); // assignment operator

  int get_i1() const;       // accessor

  friend ostream& operator<<(ostream&,
                             const AA&); // AA type output

private:
  int i1;
};
