/*
   Copyright(C) 2003
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2003.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>

#include <vector>
#include <string>

using namespace std;

class A {
public:
  A(const string a="",
    const int b=0);

  A(const A&);

  A& operator=(const A&);

  string get_d_s(const int) const;
  vector<string> get_d_s(const int,
                         const int) const;
  vector<string> get_d_s() const;

  int get_d_i(const int) const;
  vector<int> get_d_i(const int,
                      const int) const;
  vector<int> get_d_i() const;

  int get_d_s_size() const;
  int get_d_i_size() const;

  void set_d_s(const string&);

  void set_d_s(const int,
               const string&);

  void set_d_s(const vector<string>&);

  void set_d_i(const int); 

  void set_d_i(const int,
               const int);

  void set_d_i(const vector<int>&);

  friend ostream& operator<<(ostream&,
                             const A&);

private:
  vector<string> d_s;
  vector<int> d_i;
};
#endif
