/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>

using namespace std;

class A {
public:
  A(const int i=0);       // default constructor with default value

  A(const A&);            // copy constructor

  A& operator=(const A&); // assignment operator

  int get_k() const;

  void set_k(const int);

  friend ostream& operator<<(ostream&,
                             const A&); // A type output

private:
  int k;
};
#endif
