/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

int main(int argc, char* argv[]) {

  A a_0;

  cout << "initial values after construction-A(int) /" << endl;
  cout << a_0 << endl;
  cout << endl;

  int* aa = new int[2];

  aa = a_0.get_d();

  cout << "aa after a_0.get_d() /" << endl;
  for(int i=0; i<2; i++)
    cout << aa[i] << endl;

  cout << endl;

  a_0.set_d(9);

  cout << "a_0 after updated by (9) /" << endl;
  cout << a_0 << endl;
  cout << endl;

  A a_1(a_0);

  cout << "initial values after construction-A(A&) /" << endl;
  cout << a_1 << endl;
  cout << endl;

  a_1.set_d(3,7);

  cout << "a_1 after updated by (3,7) /" << endl;
  cout << a_1 << endl;
  cout << endl;

  a_1.set_d(aa);

  cout << "a_1 after updated by (aa) /" << endl;
  cout << a_1 << endl;
  cout << endl;

  a_1 = a_0;

  cout << "a_1 after a_1=a_0 /" << endl;
  cout << a_1 << endl;
  cout << endl;

  cout << "a_0 after a_1=a_0 /" << endl;
  cout << a_0 << endl;
  cout << endl;

}
