/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   c_00.cpp
*/


#include <iostream>

using namespace std;

#include "C.h"

int main(int argc, char* argv[]) {

  C c_0;

  cout << "initial values after construction-C(int) /" << endl;
  cout << c_0 << endl;
  cout << endl;

  int* aa = new int[N];

  aa = c_0.get_d();

  cout << "aa after c_0.get_d() /" << endl;
  for(int i=0; i<N; i++)
    cout << aa[i] << endl;

  cout << endl;

  c_0.set_d(9);

  cout << "c_0 after updated by (9) /" << endl;
  cout << c_0 << endl;
  cout << endl;

  C c_1(c_0);

  cout << "initial values after construction-C(C&) /" << endl;
  cout << c_1 << endl;
  cout << endl;

  c_1.set_d(3,7);

  cout << "c_1 after updated by (3,7) /" << endl;
  cout << c_1 << endl;
  cout << endl;

  c_1.set_d(aa);

  cout << "c_1 after updated by (aa) /" << endl;
  cout << c_1 << endl;
  cout << endl;

  c_1 = c_0;

  cout << "c_1 after c_1=c_0 /" << endl;
  cout << c_1 << endl;
  cout << endl;

  cout << "c_0 after c_1=c_0 /" << endl;
  cout << c_0 << endl;
  cout << endl;

}
