/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   D.h
*/


#include <iostream>

using namespace std;

class D {
public:
  D(const int a=2,        // default constructor with default values
    const int b=1);

  D(const D&);            // copy constructor

  D& operator=(const D&); // assignment operator overloaded

  ~D();                   // destructor

  int get_s() const;      // accessor for s

  int* get_d() const;     // accessor for d

  void set_d(const int);  // mutator for d by an int

  void set_d(const int,
             const int);  // mutator for d by distinct ints

  void set_d(const int*); // mutator for d by aggregate of ints

  friend ostream& operator<<(ostream&,
                             const D&); // D type output

private:
  int s;
  int* d;
  int* dd;
};
