/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   s_02.cpp
*/


#include <iostream>

using namespace std;

#include "S.h"

int main(int argc, char* argv[]) {

  S s_0("Apple");

  cout << "initial values after default construction-S() /" << endl;
  cout << "s_0 : ";
  cout << s_0 << endl;
  cout << endl;

  { // open a new scope

    S s_1("Orange");

    cout << "initial values after default construction-S() /" << endl;
    cout << "s_1 : ";
    cout << s_1 << endl;
    cout << endl;

    s_0 = s_1; // C++ provides = as memberwise assignment(default)
               // actually, bitwise copy of s_0.s to s_1.s

    cout << "after s_0=s_1 /" << endl;
    cout << "s_0 : ";
    cout << s_0 << endl;
    cout << endl;

    cout << "after s_0=s_1 /" << endl;
    cout << "s_1 : ";
    cout << s_1 << endl;
    cout << endl;

  }

  S s_2 = s_0; // copy constructor is called

  cout << "after S s_2=s_0 /" << endl;
  cout << "s_2 : ";
  cout << s_2 << endl;
  cout << endl;

  cout << "after S s_2=s_0 /" << endl;
  cout << "s_0 : ";
  cout << s_0 << endl;
  cout << endl;

}
