/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   Complex.h
*/


#include <iostream>

using namespace std;

class Complex {
public:
/*
  Complex(const double re,
          const double im);

  Complex(const Complex&);
*/

  ~Complex();

  void f();

  Complex& operator=(const Complex&);

  Complex& operator+=(const Complex&);

  friend Complex operator+(const Complex&,
                           const Complex&);

  friend ostream& operator<<(ostream&,
                             const Complex&);

private:
  double re,
         im;
};
