/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas [ modified from timoty budd example].

   rational.h
*/


#include <iostream>

using namespace std;

class rational {
public:
  rational(const int n=0,
           const int d=1);

  rational(const rational&);

  rational& operator=(const rational&);

  int get_numerator() const;
  int get_denominator() const;

  void set_numerator(const int);
  void set_denominator(const int);

  rational& operator+=(const rational&);

  friend rational operator+(const rational&,
                            const rational&);

  friend ostream& operator<<(ostream&,
                             const rational&);

private:
  int numerator;
  int denominator;
};
