/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas [ modified from timoty budd example].

   rational_00.cpp
*/


#include <iostream>

using namespace std;

#include "rational.h"

int main(int argc, char* argv[]) {

  rational a;

  cout << "a : " << a << endl;

  rational b(1);

  cout << "b(1) : " << b << endl;

  rational c(1, 2);

  cout << "c(1,2) : " << c << endl;

  a += b;

  cout << "a+=b :" << endl;
  cout << "a : " << a << endl;
  cout << "b : " << b << endl;

  c = a + b;

  cout << "c=a+b :" << endl;
  cout << "c : " << c << endl;
  cout << "a : " << a << endl;
  cout << "b : " << b << endl;

  rational d(c);

  cout << "d(c) :" << endl;
  cout << "d : " << d << endl;
  cout << "c : " << c << endl;

  c = a;

  cout << "c=a :" << endl;
  cout << "c - " << c << endl;
  cout << "a - " << a << endl;

}
