/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   i_00.cpp
*/


#include <iostream>

using namespace std;

#include "I.h"

int main(int argc, char *argv[]) {

  I i_0;

  cout << "initial values after default construction-I() /" << endl;
  cout << "i_0 :" << endl;
  cout << i_0 << endl;
  cout << endl;

  I i_1(2);

  cout << "initial values after default construction-I() /" << endl;
  cout << "i_1 :" << endl;
  cout << i_1 << endl;
  cout << endl;

  I i_2(i_1);

  cout << "initial values after copy construction-I(const I&) /" << endl;
  cout << "i_2 :" << endl;
  cout << i_2 << endl;
  cout << endl;

  cout << "i_1 :" << endl;
  cout << i_1 << endl;
  cout << endl;

  I i_3;

  cout << "initial values after default construction-I() /" << endl;
  cout << "i_3 :" << endl;
  cout << i_3 << endl;
  cout << endl;

  i_3 = i_0;

  cout << "values after i_3 = i_0  /" << endl;
  cout << "i_3 :" << endl;
  cout << i_3 << endl;
  cout << endl;

  cout << "i_0 :" << endl;
  cout << i_0 << endl;
  cout << endl;

  i_3 = i_1;

  cout << "values after i_3 = i_1  /" << endl;
  cout << "i_3 :" << endl;
  cout << i_3 << endl;
  cout << endl;

  cout << "i_1 :" << endl;
  cout << i_1 << endl;
  cout << endl;

  i_3 = i_3;

  cout << "values after i_3 = i_3  /" << endl;
  cout << "i_3 :" << endl;
  cout << i_3 << endl;
  cout << endl;

  cout << "i_3 :" << endl;
  cout << i_3 << endl;
  cout << endl;

  i_3 = i_1 + i_2;

  cout << "values after i_3 = i_1+i_2 /" << endl;
  cout << "i_3 :" << endl;
  cout << i_3 << endl;
  cout << endl;
  cout << "i_1 :" << endl;
  cout << i_1 << endl;
  cout << endl;
  cout << "i_2 :" << endl;
  cout << i_2 << endl;
  cout << endl;

  cout << "values before ++i_3 /" << endl;
  cout << "i_3 :" << i_3 << endl;
  cout << endl;

  ++i_3;

  cout << "values after ++i_3 /" << endl;
  cout << "i_3 :" << i_3 << endl;
  cout << endl;

  cout << "values before i_2++ /" << endl;
  cout << "i_2 :" << i_2 << endl;
  cout << endl;

  cout << "values after i_2++ /" << endl;
  cout << "i_2 :" << i_2++ << endl;
  cout << endl;

  cout << "values after i_2++ /" << endl;
  cout << "i_2 :" << i_2 << endl;
  cout << endl;

  --i_3;

  cout << "values after --i_3 /" << endl;
  cout << "i_3 :" << i_3 << endl;
  cout << endl;

  cout << "values before i_2-- /" << endl;
  cout << "i_2 :" << i_2 << endl;
  cout << endl;

  cout << "values after i_2-- /" << endl;
  cout << "i_2 :" << i_2-- << endl;
  cout << endl;

  cout << "values after i_2-- /" << endl;
  cout << "i_2 :" << i_2 << endl;
  cout << endl;

  bool b;

  b = (i_3==i_3);

  cout << "truth for i_3==i_3 /" << endl;
  cout << b << endl;
  cout << endl;

  b = (i_3==i_1);

  cout << "truth for i_3==i_1 /" << endl;
  cout << b << endl;
  cout << endl;

  b = (i_3==i_2);

  cout << "truth for i_3==i_2 /" << endl;
  cout << b << endl;
  cout << endl;

}
