/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2001
   author : Salih Yurttas

   counter_02.cpp
*/


#include <iostream>

using namespace std;

#include "counter.h"

const int MAX_ITERATION=32;

int main(int argc, char* argv[]) {

  counter c(INITIAL,
            INCREMENT,
            LIMIT);

  for(int i=0; i<MAX_ITERATION; ++i) {
    cout << c.get_data_value() << endl;
    c.increment();
  }
  cout << endl;

  counter d(c);

  for(int i=8; i<MAX_ITERATION; ++i) {
    cout << d.get_data_value() << endl;
    d.increment();
  }
  cout << endl;

  for(int i=12; i<MAX_ITERATION; ++i) {
    cout << c.get_data_value() << endl;
    c.decrement();
  }

}
