/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2002.
   author : Salih Yurttas.

   Person.cpp
*/

#include "Person.h"

Person::
Person() {
  last_name="";
  m_i='\0';
  first_name="";
}

Person::
Person(const Person& a) {
  last_name = a.last_name;

  m_i = a.m_i;

  first_name = a.first_name;
}

void
Person::
set_name(string& s) {
  int p = s.find(' ',0);
  last_name=s.substr(0,p);
  s.erase(0,p+1);

  p = s.find(' ',0);
  m_i=s.substr(0,p)[0];
  s.erase(0,p+1);

  p = s.find(' ',0);
  first_name=s.substr(0,p);
  s.erase(0,p+1);
}

void
Person::
set_name(const string& l,
         const char m,
         const string& f) {
  last_name = l;

  m_i = m;

  first_name = f;
}

ostream&
operator<<(ostream& os,
           const Person& a) {
  string s_out;

  s_out += a.last_name;
  s_out += " ";
  s_out += a.m_i;
  s_out += " ";
  s_out += a.first_name;
  s_out += " ";

  if(s_out.length()<16)
    s_out += "\t";

  os << s_out;

  if(s_out.length()<24)
    os << "\t";

  os << endl;

  return os;
}
