/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   P.h
*/


#ifndef P_H
#define P_H

#include <iostream>
#include <vector>

using namespace std;

class P {
public:
  P(const int i=0,
    const int j=0);

  P(const P&);

  P& operator=(const P&);

  int get_i1() const;
  void set_i1(const int);

  int get_i2() const;
  void set_i2(const int);

  vector<int> get_i1_i2() const;

  void set_i1_i2(const vector<int>&);

  friend ostream& operator<<(ostream&,
                             const P&);
protected:
  vector<int> i1_i2;
};
#endif
