/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

using namespace std;

#include <iostream>

class A {
public:
  A(const int i=0);                     // default constructor
                                        // with default value

  virtual int get_i1() const;           // accessor for i1

  virtual void set_i1(const int);       // mutator for i1 by int

  friend ostream& operator<<(ostream&,
                             const A&); // A type output

protected:
  int i1;
};
#endif
