/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   B.h
*/


#ifndef B_H
#define B_H

#include <iostream>

using namespace std;

#include "A.h"

class B : public A {
public:
  B(const int i=0,                      // default constructor
    const int j=0);                     // not inherited

  virtual int get_i2() const;           // accessor for i2

  virtual void set_i2(const int);       // mutator for i2 by int

  friend ostream& operator<<(ostream&,
                             const B&); // B type output

protected:
  int i2;
};
#endif
