/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   V_R_S.h
*/


#ifndef V_R_S_H
#define V_R_S_H

#include <iostream>

using namespace std;

#include "V_R.h"
#include "V_S.h"

class V_R_S : public V_R,
              public V_S {
public:
  V_R_S(const int n=4);

  V_R_S(const V_R_S&);

  virtual ~V_R_S();

  virtual int get_element(const int) const;

  virtual void set_element(const int,
                           const int);

  virtual void add_element(const int);

  friend ostream& operator<<(ostream&,
                             const V_R_S&); // V_R_S type output
};
#endif
