/*
   Copyright(C) 2000
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2000.
   author : Salih Yurttas.

   v_00.cpp
*/


#include <iostream>

using namespace std;

#include "V.h"

int main(int argc, char* argv[]) {

  V v_0;
  cout << "initial values after default construction-V() /" << endl;
  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;
  cout << endl;

  V v_1(2);
  cout << "initial values after default construction-V() /" << endl;
  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << endl;

  V v_2(v_1);
  cout << "initial values after copy construction-V(const V&) /" << endl;
  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << endl;

  v_1.set_element(1, 7);
  cout << v_1.get_element(1) << endl;
  cout << endl;

  v_2.set_element(1, 8);
  cout << v_2.get_element(1) << endl;
  cout << endl;

  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << endl;

  v_2 = v_1;
  cout << "values after v_2=v_1 operation /" << endl;
  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << "v_1 : " << endl;
  cout <<  v_1 << endl;
  cout << endl;

  v_2.set_element(0, 9);
  cout << v_2.get_element(0) << endl;
  cout << endl;

  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;
  cout << endl;

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;

  v_0.set_element(3, 8);

  v_0.set_element(1, 4);

  v_0.set_element(2, 2);

  v_0.set_element(3, 2);

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;
  cout << endl;

  v_0.set_element(4, 0);
  cout << v_0.get_element(4) << endl;
  cout << endl;

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;

  v_0.add_element(-1);

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;

  v_0.add_element(1);

  cout << "v_0 : " << endl;
  cout <<  v_0 << endl;

  v_2.add_element(9);

  cout << "v_2 : " << endl;
  cout <<  v_2 << endl;

}
