/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   q_01.cpp - [ dynamic testing - proper for virtual member testing ]
*/


#include <iostream>

using namespace std;

#include "Q.h"

int main(int argc, char* argv[]) {

  P * p1 = new P;

  cout << "p1 initial values after default construction-P() /" << endl;
  cout << *p1 << endl;

  cout << "accessors after mutators /" << endl;
  p1->set_i1(2);
  cout << p1->get_i1() << endl;

  cout << endl;

  cout << "p1 values after set /" << endl;
  cout << *p1 << endl;

  delete p1;

  p1 = new Q;

  cout << "p1 initial values after default construction-Q() /" << endl;
  cout << *p1 << endl;

  p1->set_i1(2);

  cout << "accessors after mutators /" << endl;
  cout << p1->get_i1() << endl;
  cout << endl;

  cout << "p1 values after set /" << endl;
  cout << *p1 << endl;

  delete p1;

  Q * q1 = new Q;

  cout << "q1 initial values after default construction-Q() /" << endl;
  cout << *q1 << endl;

  q1->set_i1(8);
  q1->set_i2(9);

  cout << "accessors after mutators /" << endl;
  cout << q1->get_i1() << endl;
  cout << q1->get_i2() << endl;
  cout << endl;

  cout << "q1 values after set /" << endl;
  cout << *q1 << endl;

  delete q1;

  q1 = new Q(9);

  cout << "q1 initial values after construction-Q(9) /" << endl;
  cout << *q1 << endl;

  p1 = new Q(*q1);

  cout << "p1 initial values after construction-Q(q1) /" << endl;
  cout << *p1 << endl;

}
