/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   Land.h
*/


#ifndef LAND_H
#define LAND_H

#include "Mammals.h"

class Land : public Mammals {
public:
  Land();

  Land(const Land&);

  ~Land();

  Land& operator=(const Land&);

  virtual char get_food() const;

  virtual void set_food(const char);

  void print() const;

protected:
  char food;
};
#endif
