/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   Mammals.h
*/


#ifndef MAMMALS_H
#define MAMMALS_H

#include "Animal.h"

class Mammals : public Animal {
public:
  Mammals();

  Mammals(const Mammals&);

  ~Mammals();

  Mammals& operator=(const Mammals&);
  
  virtual int get_legs() const;

  virtual void set_legs(const int);

  void print() const;

protected:
  int legs;
};
#endif
