/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   Sea.h
*/


#ifndef SEA_H
#define SEA_H

#include "Mammals.h"

class Sea : public Mammals {
public:
  Sea();

  Sea(const Sea&);

  ~Sea();

  Sea& operator=(const Sea&);
  
  virtual char get_lives() const;

  virtual void set_lives(const char);

  void print() const;

protected:
  char lives;
};
#endif
