/*
   Copyright(C) 2001
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2001.
   author : Salih Yurttas.

   animals_02.cpp
*/


#include <iostream>

using namespace std;

#include "Animal.h"
#include "Mammals.h"
#include "Birds.h"
#include "Land.h"
#include "Sea.h"

void animals_out(Animal*,
                 const char*,
                 const char*,
                 const int);

int main(int argc, char* argv[]) {

  Animal* a0 = new Animal;

  animals_out(a0,
              "Animal",
              "A0",
              7);

  a0 = new Mammals;

  animals_out(a0,
              "Mammal",
              "M0",
              1);

  a0 = new Birds;

  animals_out(a0,
              "Bird",
              "B0",
              2);

  a0 = new Sea;

  animals_out(a0,
              "Sea",
              "S0",
              1);

  a0 = new Land;

  animals_out(a0,
              "Land",
              "L0",
              2);

}
