/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   Q.h
*/


#ifndef Q_H
#define Q_H

#include <iostream>

using namespace std;

#include "P.h"

class Q : public P {
public:
  Q(const int i=0,
    const int j=0);

  Q(const Q&);

  virtual ~Q();

  virtual Q& operator=(const Q&);

  virtual int get_i2() const;

  virtual void set_i2(const int);

  friend ostream& operator<<(ostream&,
                             const Q&);
protected:
  int i2;
};
#endif
