/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, AMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for ADUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>

using namespace std;

template<typename T>
class A {
public:
  A(const T v=0);

  A(const A<T>&);

  A<T>& operator=(const A<T>&);

  T get_a0() const;

  void set_a0(const T);

  template<class>
  friend ostream& operator<< (ostream&,
                              const A<T>&);

private:
  T a0;
};
#endif
