/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   a_00.cpp
*/


#include <iostream>

using namespace std;

#include "A.cpp"

//template class A<int>;        // optional for some compilers

int main(int argc, char *argv[]) {

  A<int> a;

  cout << "a value after default construction-A<int>() /" << endl;
  cout << a << endl;

  a.set_a0(8);

  cout << "a value after a.set_a0(8) /" << endl;
  cout << a << endl;

  A<int> b(8);

  cout << "b value after default construction-A<int>(8) /" << endl;
  cout << b << endl;

  A<int> c(b);

  cout << "c value after A<int> c(b) /" << endl;
  cout << c << endl;

  b = a;

  cout << "b value after b=a /" << endl;
  cout << b << endl;

  cout << "b.get_a0() /" << endl;
  cout << b.get_a0() << endl;

  cout << endl;

  a.set_a0(2);
  b.set_a0(3);

  cout << "a value after a.set_a0(2) /" << endl;
  cout << a << endl;

  cout << "b value after b.set_a0(3) /" << endl;
  cout << b << endl;

  cout << endl;

  c = a + b;

  cout << "c value after c=a+b /" << endl;
  cout << c << endl;

  cout << "a value after c=a+b /" << endl;
  cout << a << endl;

  cout << "b value after c=a+b /" << endl;
  cout << b << endl;

  a += b;

  cout << "a value after a+=b /" << endl;
  cout << a << endl;

  cout << "b value after a+=b /" << endl;
  cout << b << endl;

  c = a - b;

  cout << "c value after c=a-b /" << endl;
  cout << c << endl;

  cout << "a value after c=a-b /" << endl;
  cout << a << endl;

  cout << "b value after c=a-b /" << endl;
  cout << b << endl;

  a -= b;

  cout << "a value after a-=b /" << endl;
  cout << a << endl;

  cout << "b value after a-=b /" << endl;
  cout << b << endl;

  c = a * b;

  cout << "c value after c=a*b /" << endl;
  cout << c << endl;

  cout << "a value after c=a*b /" << endl;
  cout << a << endl;

  cout << "b value after c=a*b /" << endl;
  cout << b << endl;

  a *= b;

  cout << "a value after a*=b /" << endl;
  cout << a << endl;

  cout << "b value after a*=b /" << endl;
  cout << b << endl;

  c = a / b;

  cout << "c value after c=a/b /" << endl;
  cout << c << endl;

  cout << "a value after c=a/b /" << endl;
  cout << a << endl;

  cout << "b value after c=a/b /" << endl;
  cout << b << endl;

  a += b;

  cout << "a value after a/=b /" << endl;
  cout << a << endl;

  cout << "b value after a/=b /" << endl;
  cout << b << endl;

}
