/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   t_a.cpp
*/


#include <iostream>

using namespace std;

#include "A.h"

template<class T>
void t_a(const T v) {
  A<T> a;

  cout << "a value after default construction-A<T>() /" << endl;
  cout << a << endl;

  a.set_a0(v);

  cout << "a value after a.set_a0(v) /" << endl;
  cout << a << endl;

  A<T> b(v);

  cout << "b value after default construction-A<T>(v) /" << endl;
  cout << b << endl;

  A<T> c(b);

  cout << "c value after A<T> c(b) /" << endl;
  cout << c << endl;

  b = a;

  cout << "b value after b=a /" << endl;
  cout << b << endl;

  cout << "b.get_a0() /" << endl;
  cout << b.get_a0() << endl;

  cout << endl;

  a.set_a0(v);
  b.set_a0(v);

  cout << "a value after a.set_a0(v) /" << endl;
  cout << a << endl;

  cout << "b value after b.set_a0(v) /" << endl;
  cout << b << endl;

  cout << endl;

  c = a + b;

  cout << "c value after c=a+b /" << endl;
  cout << c << endl;

  cout << "a value after c=a+b /" << endl;
  cout << a << endl;

  cout << "b value after c=a+b /" << endl;
  cout << b << endl;

}
