/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   T_A.cpp
*/


#include "T_A.h"

template<class T>
T_A<T>::
T_A(const T v) : a0(v) {
}

template<class T>
T_A<T>::
T_A(const T_A<T>& a) : a0(a.a0) {
}

template<class T>
T_A<T>&
T_A<T>::
operator=(const T_A<T>& a) {
  a0 = a.a0;
  return *this;
}

template<class T>
T
T_A<T>::
get_a0() const {
  return a0;
}

template<class T>
void
T_A<T>::
set_a0(const T v) {
  a0 = v;
}

template<class T>
ostream&
operator<<(ostream& os,
           const T_A<T>& a) {
  os << a.a0 << endl;
  os << endl;

  return os;
}
