/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   D_A.h
*/


#ifndef D_A_H
#define D_A_H

#include <iostream>

using namespace std;

class D_A {
public:
  D_A(const double v=0);

  D_A(const D_A&);

  D_A& operator=(const D_A&);

  double get_a0() const;
  double get_a1() const;

  void set_a0(const double);
  void set_a1(const double);

  friend ostream& operator<<(ostream&,
                             const D_A&);

private:
  double a0;
  double a1;
};
#endif
