/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   D_I_A.cpp
*/


#include "D_I_A.h"

D_I_A::
D_I_A(const double v1,
      const int v2) : a0(v1),
                      a1(v2) {
}

D_I_A::
D_I_A(const D_I_A& a) : a0(a.a0),
                        a1(a.a1) {
}

D_I_A&
D_I_A::
operator=(const D_I_A& a) {
  a0 = a.a0;
  a1 = a.a1;
  return *this;
}

double
D_I_A::
get_a0() const {
  return a0;
}

int
D_I_A::
get_a1() const {
  return a1;
}

void
D_I_A::
set_a0(const double v) {
  a0 = v;
}

void
D_I_A::
set_a1(const int v) {
  a1 = v;
}

ostream&
operator<<(ostream& os,
           const D_I_A& a) {
  os << a.a0 << endl;
  os << a.a1 << endl;
  os << endl;

  return os;
}
