/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 1998.
   author : Salih Yurttas.

   T_A.cpp
*/


#include "T_A.h"

template<class T0,class T1>
T_A<T0,T1>::
T_A(const T0 v0,
    const T1 v1) : a0(v0),
                   a1(v1) {
}

template<class T0,class T1>
T_A<T0,T1>::
T_A(const T_A<T0,T1>& a) : a0(a.a0),
                           a1(a.a1) {
}

template<class T0,class T1>
T_A<T0,T1>&
T_A<T0,T1>::
operator=(const T_A<T0,T1>& a) {
  a0 = a.a0;
  a1 = a.a1;
  return *this;
}

template<class T0,class T1>
T0
T_A<T0,T1>::
get_a0() const {
  return a0;
}

template<class T0,class T1>
T1
T_A<T0,T1>::
get_a1() const {
  return a1;
}

template<class T0,class T1>
void
T_A<T0,T1>::
set_a0(const T0 v) {
  a0 = v;
}

template<class T0,class T1>
void
T_A<T0,T1>::
set_a1(const T1 v) {
  a1 = v;
}

template<class T0,class T1>
ostream&
operator<<(ostream& os,
           const T_A<T0,T1>& a) {
  os << a.a0 << endl;
  os << a.a1 << endl;
  os << endl;

  return os;
}
