/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   T_A.h
*/


#ifndef T_A_H
#define T_A_H

#include <iostream>

using namespace std;

template<class T0,
         class T1>
class T_A {
public:
  T_A(const T0 v0=0,
      const T1 v1=0);

  T_A(const T_A<T0,T1>&);

  T_A<T0,T1>& operator=(const T_A<T0,T1>&);

  T0 get_a0() const;
  T1 get_a1() const;

  void set_a0(const T0);
  void set_a1(const T1);

  template<class U,class V>   // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const T_A<U,V>&);

private:
  T0 a0;
  T1 a1;
};
#endif
