/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   I_D_A.h
*/


#include <iostream>

using namespace std;

class I_D_A {
public:
  I_D_A();

  I_D_A(const I_D_A&);

  I_D_A& operator=(const I_D_A&);

  virtual ~I_D_A();

  virtual int get_s() const;

  virtual int get_i_a(const int) const;

  virtual int* get_i_a() const;

  virtual void set_i_a(const int value=0);

  virtual double get_d_a(const int) const;

  virtual double* get_d_a() const;

  virtual void set_d_a(const double value=0);

  virtual void set_i_d(const int size=0,
                       const int i_value=0,
                       const double d_value=0);

  friend ostream& operator<<(ostream&,
                             const I_D_A&);

protected:
  int s;
  int* i_a;
  double* d_a;
};
