/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   T_A.h
*/

#ifndef T_A_H
#define T_A_H

#include <iostream>

using namespace std;

template<class T0,
         class T1>
class T_A {
public:
  T_A();

  T_A(const T_A<T0,T1>&);

  T_A<T0,T1>& operator=(const T_A<T0,T1>&);

  virtual ~T_A();

  virtual int get_s() const;

  virtual T0 get_d0(const int) const;

  virtual T0* get_d0() const;

  virtual void set_d0(const T0 d0_value=0);

  virtual T1 get_d1(const int) const;

  virtual T1* get_d1() const;

  virtual void set_d1(const T1 d1_value=0);

  virtual void set_d0_d1(const int size=0,
                         const T0 d0_value=0,
                         const T1 d1_value=0);

  template<class U, class V>     // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const T_A<U,V>&);

protected:
  int s;
  T0* d0;
  T1* d1;
};
#endif
