/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   I_V.cpp
*/


#include "I_V.h"

I_V::
I_V() {
}

I_V::
I_V(const I_V& o) : d(o.d) {
}

I_V&
I_V::
operator=(const I_V& o) {
  if(this==&o) return *this;

  d = o.d;

  return *this;
}

int
I_V::
get_size() const {
  return d.size();
}

int
I_V::
get_d(const int index) const {
  return d.at(index);
}

vector<int>
I_V::
get_d() const {
  return d;
}

void
I_V::
set_d(const int size) {
  vector<int> t(size);
  d = t;
}

void
I_V::
set_d(const int index,
      const int value) {
  d.at(index) = value;
}

ostream& operator<<(ostream& os,
                    const I_V& o) {
  int n = o.d.size();
  for(int i=0; i<n; i++)
    os << o.d.at(i) << endl;

  return os;
}
