/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   I_V.h
*/


#include <iostream>
#include <vector>

using namespace std;

class I_V {
public:
  I_V();

  I_V(const I_V&);

  I_V& operator=(const I_V&);

  virtual int get_size() const;

  virtual int get_d(const int) const;

  virtual vector<int> get_d() const;

  virtual void set_d(const int); // size with default value=0

  virtual void set_d(const int,
                     const int);

  friend ostream& operator<<(ostream&,
                             const I_V&);

protected:
  vector<int> d;
};
