/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   D_V.cpp
*/


#include "D_V.h"

D_V::
D_V() {
}

D_V::
D_V(const D_V& o) : d(o.d) {
}

D_V&
D_V::
operator=(const D_V& o) {
  if(this==&o) return *this;

  d = o.d;

  return *this;
}

int
D_V::
get_size() const {
  return d.size();
}

double
D_V::
get_d(const int index) const {
  return d.at(index);
}

vector<double>
D_V::
get_d() const {
  return d;
}

void
D_V::
set_d(const int size) {
  vector<double> t(size);
  d = t;
}

void
D_V::
set_d(const int index,
      const double value) {
  d.at(index) = value;
}

ostream& operator<<(ostream& os,
                    const D_V& o) {
  int n = o.d.size();
  for(int i=0; i<n; i++)
    os << o.d.at(i) << endl;

  return os;
}
