/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   D_V.h
*/


#include <iostream>
#include <vector>

using namespace std;

class D_V {
public:
  D_V();

  D_V(const D_V&);

  D_V& operator=(const D_V&);

  virtual int get_size() const;

  virtual double get_d(const int) const;

  virtual vector<double> get_d() const;

  virtual void set_d(const int); // size with default value=0

  virtual void set_d(const int,
                     const double);

  friend ostream& operator<<(ostream&,
                             const D_V&);

protected:
  vector<double> d;
};
