/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   T_V.cpp
*/


#include "T_V.h"

template<class T>
T_V<T>::
T_V() {
}

template<class T>
T_V<T>::
T_V(const T_V<T>& o) : d(o.d) {
}

template<class T>
T_V<T>&
T_V<T>::
operator=(const T_V<T>& o) {
  if(this==&o) return *this;

  d = o.d;

  return *this;
}

template<class T>
int
T_V<T>::
get_size() const {
  return d.size();
}

template<class T>
T
T_V<T>::
get_d(const int index) const {
  return d.at(index);
}

template<class T>
vector<T>
T_V<T>::
get_d() const {
  return d;
}

template<class T>
void
T_V<T>::
set_d(const int size) {
  vector<T> t(size);
  d = t;
}

template<class T>
void
T_V<T>::
set_d(const int index,
      const T value) {
  d.at(index) = value;
}

template<class T>
ostream& operator<<(ostream& os,
                    const T_V<T>& o) {
  int n = o.d.size();
  for(int i=0; i<n; i++)
    os << o.d.at(i) << endl;

  return os;
}
