/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.
 
   date   : December 1, 2007.
   author : Salih Yurttas.

   A.h
*/


#ifndef A_H
#define A_H

#include <iostream>

using namespace std;

template <class T1,
          class T2,
          class T3>
class A {
public:
  A(const T1 i=0,
    const T2 j=0,
    const T3 k=0);

  T1 get_a() const;
  T2 get_b() const;
  T3 get_c() const;

  T1* get_abc() const;

  void set_a(const T1);
  void set_b(const T2);
  void set_c(const T3);
  void set_abc(const T1);
  void set_abc(const T1,
               const T2,
               const T3);

  template<class U,            // this syntax changed several times
           class V,
           class W>
  friend ostream& operator<<(ostream&,
                             const A<U,V,W>&);

private:
  T1 a;
  T2 b;
  T3 c;
};
#endif
