/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 2002.
   author : Salih Yurttas.

   search.cpp
*/


#include "search.h"

using namespace std;

template <class T>
void search(vector<T>& list) {
  get_vector_item(list);

  bool found;

  T key;

  get_item(key);

  char search_decision = get_char("Linear|Binary");

  switch(toupper(search_decision)) {
    case Linear : found = linear_search(key,
                                        list);
                  break;
    case Binary : found = binary_search(key,
                                        list);
                  break;
    default : cerr << "Error: search_decision should be L|B" << endl;
              exit(1);
  }

  put_found_item(found,
                 key);
}
