/*
   Copyright(C) 2007
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : December 1, 2007.
   author : Salih Yurttas.

   P.h
*/


#ifndef P_H
#define P_H

template<class T>
class P {
public:
  P();

  P(const P<T>&);

  virtual P<T>& operator=(const P<T>&);

  virtual vector<T> get_a() const;

  virtual void set_a(const int,  // index
                     const T);   // value

  virtual void set_a(const vector<T>&);

  template<class U>           // this syntax changed several times
  friend ostream& operator<<(ostream&,
                             const P<T>&);

protected:
  vector<T> a;
};
#endif
