/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   get_vector_line.cpp
*/


#include <iostream>
#include <fstream>

#include <vector>
#include <string>

using namespace std;

vector<string> get_vector_line(const char* filename) {
  ifstream in_file(filename);

  if(!in_file) {
    cerr << "cannot open " << filename << endl;
    exit(1);
  }

  vector<string> v_s;
  string t;

  while(getline(in_file,t,'\n'))
    v_s.push_back(t);

  return v_s;
}
