/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : June 1, 2002.
   author : Salih Yurttas.

   l_12.cpp
*/


#include <iostream>
#include <list>

using namespace std;

int a1[] = {1,4,3,2,5,6};
int a2[] = {8,7};

int main(int argc, char* argv[]) {

  list<int> l1(a1, a1+6);
  list<int> l2(a2, a2+2);

  list<int>::iterator i1 = l1.begin();
  list<int>::iterator i2 = l1.end();

  ++i1;

  l1.splice(i1,
            l2,
            l2.begin(),
            l2.end());

  i1 = l1.begin();
  i2 = l1.end();

  while(i1!=i2)
    cout << *i1++ << endl;

}
