/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for I_ADUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   pq_00.cpp
*/


#include <iostream>

#include <vector>
#include <queue>

using namespace std;

int main(int argc, char* argv[]) {

  priority_queue<int> pq_0;

  pq_0.push(2);
  pq_0.push(1);
  pq_0.push(9);
  pq_0.push(5);
  pq_0.push(7);
  pq_0.push(6);

  while(!pq_0.empty()) {
    cout << pq_0.top() << endl;
    pq_0.pop();
  }

  cout << endl;

  priority_queue<int,
                 vector<int>,
                 greater<int> > pq_1;
  
  pq_1.push(2);
  pq_1.push(1);
  pq_1.push(9);
  pq_1.push(5);
  pq_1.push(7);
  pq_1.push(6);

  while(!pq_1.empty()) {
    cout << pq_1.top() << endl;
    pq_1.pop();
  }

}
