/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   map_10.cpp
*/


#include <vector>
#include <string>

#include <map>

using namespace std;

vector<string> get_list_string();

vector<int> get_list_int();

map<int, string, less<int> > construct_map_data(const vector<string>&,
                                                const vector<int>&);

void put_map(const map<int, string, less<int> >&);

int main(int argc, char* argv[]) {

    vector<string> dna_sequences_list = get_list_string();

    vector<int> counts_list = get_list_int();

    map<int, string, less<int> > counts_dna_sequences_list = construct_map_data(dna_sequences_list,
                                                                                counts_list);

    put_map(counts_dna_sequences_list);

}
