/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   construct_map_data.cpp
*/


#include "common.h"

map<int, string, less<int> > construct_map_data(const vector<string>& dna_sequences_list,
                                                const vector<int>& counts_list) {

    map<int, string, less<int> > counts_dna_sequences_list;

    int n = counts_list.size();
    for(int i=0; i<n; ++i)
      counts_dna_sequences_list[counts_list.at(i)] = dna_sequences_list.at(i);

    return counts_dna_sequences_list;

}
