/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   put_map.cpp
*/


#include "common.h"
#include "io.h"

string get_string(string);

void put_map(const map<int, string, less<int> >& counts_dna_sequences_list) {

  string filename = get_string("output filename : ");

  ofstream f_out(filename.c_str());

  map<int, string, less<int> >::const_iterator i = counts_dna_sequences_list.begin();
  map<int, string, less<int> >::const_iterator k = counts_dna_sequences_list.end();

  for(; i!=k; ++i)
    f_out << i->first << " - " << i->second << endl;

}
