/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   mmap_00.cpp
*/


#include <iostream>

#include <vector>
#include <string>

#include <map>

using namespace std;

int main(int argc, char* argv[]) {

  string dna_list[] = {"AGGCTAAT",
                       "GGCTAATA",
                       "TGTAAATT",
                       "ACGAGGCT"};
  int n = 4;

  int counts_list[] = {2,
                       2,
                       4,
                       1};

  int positions_list0[] = {5,
                           8};

  int positions_list1[] = {4,
                           7};

  int positions_list2[] = {1,
                           3,
                           7,
                           8};

  int positions_list3[] = {8};

  for(int i=0; i<n; ++i) {
    cout << dna_list[i] << " - ";
    int m = counts_list[i];
    switch(i) {
      case 0 : cout << m << " ";
               for(int j=0; j<m-1; ++j)
                 cout << positions_list0[j] << ",";
               cout << positions_list0[m-1] << endl;
               break;
      case 1 : cout << m << " ";
               for(int j=0; j<m-1; ++j)
                 cout << positions_list1[j] << ",";
               cout << positions_list1[m-1] << endl;
               break;
      case 2 : cout << m << " ";
               for(int j=0; j<m-1; ++j)
                 cout << positions_list2[j] << ",";
               cout << positions_list2[m-1] << endl;
               break;
      case 3 : cout << m << " ";
               for(int j=0; j<m-1; ++j)
                 cout << positions_list3[j] << ",";
               cout << positions_list3[m-1] << endl;
    }
  }

}
