/*
   Copyright(C) 2005
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2005.
   author : Salih Yurttas.

   mmap_11.cpp
*/

#include <iostream>

#include <vector>
#include <string>

#include <map>

using namespace std;

int main(int argc, char* argv[]) {

  string dna_list[] = {"AGGCTAAT",
                       "GGCTAATA",
                       "TGTAAATT",
                       "ACGAGGCT"};
  const int N = 4;

  int counts_list[] = {2,
                       2,
                       4,
                       1};

  int positions_list[][4] = {5, 8, 0, 0,
                             4, 7, 0, 0,
                             1, 3, 7, 8,
                             8, 0, 0, 0};

  struct dna_counts_positions { string dna;
                                int count;
                                int positions[N];
                              };

  struct dna_counts_positions dna_counts_positions_list[N];

  for(int i=0; i<N; ++i) {
    dna_counts_positions_list[i].dna = dna_list[i];
    dna_counts_positions_list[i].count = counts_list[i];
    for(int j=0; j<N; ++j)
      dna_counts_positions_list[i].positions[j] = positions_list[i][j];
  }

  for(int i=0; i<N; ++i) {
    cout << dna_counts_positions_list[i].dna << " - ";
    int m = dna_counts_positions_list[i].count;
    cout << m << " ";
    for(int j=0; j<m-1; ++j)
      cout << dna_counts_positions_list[i].positions[j] << ",";
    cout << dna_counts_positions_list[i].positions[m-1] << endl;
  }

}
