/*
   Copyright(C) 2003
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2003.
   author : Salih Yurttas.

   purpose : integration of f(x) = x*x*x-(2.0*x*x)+1.0;

   integrate_01.cpp

*/

#include <iostream>

using namespace std;

#include "f.cpp"
#include "integrate.cpp"

int main(int argc, char* argv[]) {

  double a,
         b;

  cout << "Please enter double values: " << endl;

  cout << "-> a : ";
  cin >> a;

  cout << "-> b : ";
  cin >> b;

  cout << endl;

  double integral = integrate(a,
                              b,
                              f<double>());

  cout << "integral of f(x) = x*x*x-(2.0*x*x)+1.0 ";
  cout << "in between a = ";
  cout << a;
  cout << " and b = ";
  cout << b;
  cout << " is = ";
  cout << integral;
  cout << endl;

  cout << endl;

}
