/*
   Copyright(C) 2002
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : September 1, 2002.
   author : Salih Yurttas.

   put_pattern_count.cpp
*/


#include "common.h"

#include "io.h"

using namespace std;

void put_pattern_count(map<vector<char>,int>& pattern_count) {
  string filename;

  cout << endl;
  cout << "--> output filename : ";
  cin >> filename;

  ofstream f_out(filename.c_str());

  f_out<<"Pattern\tCount\n";

  map<vector<char>,int>::const_iterator i = pattern_count.begin();
  map<vector<char>,int>::const_iterator n = pattern_count.end();

  for(; i!=n; i++) {
    string t(i->first);
    int m = t.length;
    for(int j=0; j<m; j++)
      f_out << t.at(j);
    f_out << '\t' << i->second << endl;
  }
}
