/*
   Copyright(C) 1998
   All Rights Reserved. Salih Yurttas, Computer Science, TAMU.

   Permission to use, copy, modify, and distribute this
   software and its documentation for EDUCATIONAL purposes
   and without fee is hereby granted provided that this
   copyright notice appears in all copies.

   date   : January 1, 1998.
   author : Salih Yurttas.

   a_02.cpp
*/


#include <iostream>
#include <vector>

using namespace std;

#include "A.h"

const int N=2;

int main(int argc, char* argv[]) {

  A a1;

  cout << "initial values after default construction-A() /";
  cout << endl;

  cout << a1.get_i1();
  cout << endl;
  cout << a1.get_i2();
  cout << endl;

  vector<A *> a2(N);

  for(int i=0; i<N; i++)
    a2[i] = new A;

  cout << "initial values after dynamic default construction-A() /";
  cout << endl;

  for(int i=0; i<N; i++)
    cout << *a2[i] << endl;

  a1.set_i1(4);
  a1.set_i2(6);

  cout << "updated values - a1 /";
  cout << endl;

  cout << a1;
  cout << endl;

  a2[0]->set_i1_i2(3);

  a2[1]->set_i1_i2(1,
                   7);

  cout << "updated values - a2 /";
  cout << endl;

  for(int i=0; i<N; i++)
    cout << *a2[i] << endl;

}
