// k11/toposort/main.cpp
// topological sorting
#include<gr_input.h>
#include<gra_algo.h> // contains toposort()

int main()
{
    Graph<string,Empty> G(true);             // directed

    ReadGraph(G, "topo.dat");

    /* After sorting, the vector Ordering passed as argument contains
       the indices of the graph's vertices.*/
       
    vector<int> Ordering;

    if(topoSort(G, Ordering))            // sort
    {
       for(size_t i = 0; i < G.size(); i++)
          cout << G[Ordering[i]].first << ' ';
       cout << endl;
    }
    else cout << "Error (e.g. cycle) in the graph!\n";
}
